/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LimitComponent.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:41 $  $Locker:  $  Quest Software Inc.


package com.klg.jclass.beans;

import javax.swing.*;
import java.awt.*;

/**
 * A panel containg informational labels that is placed at the bottom
 * of bean editors in the limited version of a product.
 */
public class LimitComponent extends JPanel {

public LimitComponent()
{
    this(new String("Some features are disabled"));
}

public LimitComponent(String msg)
{
    setLayout(new FlowLayout());
    setBackground(Color.yellow);
    add(new JLabel("Lite Version - ", JLabel.CENTER));
    add(new JLabel(msg, JLabel.CENTER));
}

// Create a lite component with two messages.  The vertical 
// parameter indicated whether the messages are stacked vertically
// (true) or placed beside each other (false)
public LimitComponent(String msg, String secondMsg, boolean vertical)
{
    setBackground(Color.yellow);
    if (vertical) {
        setLayout(new BorderLayout(2, 1));
        add("North", new JLabel(msg, JLabel.CENTER));
        add("South", new JLabel(secondMsg, JLabel.CENTER));
    }
    else {
        setLayout(new FlowLayout());
        add(new JLabel(msg, JLabel.CENTER));
        add(new JLabel(secondMsg, JLabel.CENTER));
    }
}

}
