/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:41 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.beans.resources;

import com.klg.jclass.beans.*;
import java.util.ListResourceBundle;

public class LocaleInfo extends ListResourceBundle {

protected Object[][] strings = {

	// Languages
	{"ar", "Armenian"},
	{"be", ""},
	{"bg", ""},
	{"ca", ""},
	{"cs", ""},
	{"da", ""},
	{"de", "German"},
	{"el", ""},
	{"en", "English"},
	{"es", "Spanish"},
	{"et", ""},
	{"fi", ""},
	{"fr", "French"},
	{"hr", ""},
	{"hu", ""},
	{"is", ""},
	{"it", ""},
	{"iw", ""},
	{"ja", ""},
	{"ko", ""},
	{"lt", ""},
	{"lv", ""},
	{"mk", ""},
	{"nl", "Nederlands"},
	{"no", ""},
	{"pl", ""},
	{"pt", ""},
	{"ro", ""},
	{"ru", ""},
	{"sh", ""},
	{"sk", ""},
	{"sl", ""},
	{"sq", ""},
	{"sr", ""},
	{"sv", ""},
	{"th", ""},
	{"tr", ""},
	{"uk", ""},
	{"zh", ""},
	// Countries
	{"AR", ""},
	{"AT", ""},
	{"AU", ""},
	{"BE", ""},
	{"BO", ""},
	{"BR", ""},
	{"CA", "Canada"},
	{"CH", ""},
	{"CL", ""},
	{"CO", ""},
	{"CR", ""},
	{"DE", "Germany"},
	{"DO", ""},
	{"EC", ""},
	{"ES", "Spain"},
	{"FI", ""},
	{"FR", ""},
	{"GB", ""},
	{"GT", ""},
	{"HN", ""},
	{"IE", ""},
	{"IT", ""},
	{"LU", "Luxenburg"},
	{"MX", "Mexico"},
	{"NI", "Nicaraga"},
	{"NL", "Nederlands"},
	{"NO", ""},
	{"NZ", ""},
	{"PA", ""},
	{"PE", ""},
	{"PR", ""},
	{"PT", ""},
	{"PY", ""},
	{"SV", ""},
	{"TW", ""},
	{"UY", ""},
	{"US", "United States of America"},
	{"VE", ""},
	{"ZA", ""},
	// Varients
	{"EURO", "Euro"},
	{"NY", ""},
    // AbstractListEditor
	{StringListEditor.STRINGLIST_HELP, "Enter a value in the text field and press add to add it to the list.<br>Clicking on the Remove button will remove the selected item in the list."},
    {FontChooserEditor.FONT_CHOOSER_HELP, "Select the current Font"},
	// ColorEditorPanel
	{ ColorEditorPanel.COLOR_INHERIT,   "inherit" },
	{ ColorEditorPanel.COLOR_BLACK,     "black" },
	{ ColorEditorPanel.COLOR_BLUE,      "blue" },
	{ ColorEditorPanel.COLOR_CYAN,      "cyan" },
	{ ColorEditorPanel.COLOR_DARKGRAY,  "darkGray" },
	{ ColorEditorPanel.COLOR_GRAY,      "gray" },
	{ ColorEditorPanel.COLOR_GREEN,     "green" },
	{ ColorEditorPanel.COLOR_LIGHTGRAY, "lightGray" },
	{ ColorEditorPanel.COLOR_MAGENTA,   "magenta" },
	{ ColorEditorPanel.COLOR_ORANGE,    "orange" },
	{ ColorEditorPanel.COLOR_PINK,      "pink" },
	{ ColorEditorPanel.COLOR_RED,       "red" },
	{ ColorEditorPanel.COLOR_WHITE,     "white" },
	{ ColorEditorPanel.COLOR_YELLOW,    "yellow" },
	// BorderEditorPanel
	{ BorderEditorPanel.BORDER_EMPTY,       "Empty" },
	{ BorderEditorPanel.BORDER_BEVEL,       "Bevel" },
	{ BorderEditorPanel.BORDER_ETCHED,      "Etched" },
	{ BorderEditorPanel.BORDER_LINE,        "Line" },
	{ BorderEditorPanel.BORDER_SOFT_BEVEL,  "Soft Bevel" },
	{ BorderEditorPanel.BORDER_TITLED,      "Titled" },
	{ BorderEditorPanel.BORDER_PROP_TITLE,    "Border Properties"},
	{ BorderEditorPanel.BORDER_LOWERED,       "Lowered"},
	{ BorderEditorPanel.BORDER_RAISED,        "Raised"},
	{ BorderEditorPanel.BORDER_HIGH_COLOR,    "Highlight Color"},
	{ BorderEditorPanel.BORDER_SHAD_COLOR,    "Shadow Color"},
	{ BorderEditorPanel.BORDER_LINE_COLOR,    "Line Color"},
	{ BorderEditorPanel.BORDER_LINE_THICKNESS,"Line Thickness"},
	{ BorderEditorPanel.BORDER_TOP_MARGIN,    "Top Margin"},
	{ BorderEditorPanel.BORDER_LEFT_MARGIN,   "Left Margin"},
	{ BorderEditorPanel.BORDER_BOTTOM_MARGIN, "Bottom Margin"},
	{ BorderEditorPanel.BORDER_RIGHT_MARGIN,  "Right Margin"},
	{ BorderEditorPanel.BORDER_MATTE_COLOR,   "Matte Color"},
	{ BorderEditorPanel.BORDER_TITLE_TEXT,    "Title Text"},
	//Font String Editor
	{ FontStringEditor.FONT_EDITOR,			"Font Editor" },
	//Border String Editor
	{ BorderStringEditor.BORDER_EDITOR,		"Border Editor" },
};

protected Object[][] getContents() {
	return strings;
}

}
