/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: PiePosition.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:47 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart;
import java.awt.Point;

/**
 * Data structure internal to <code>JCChart</code>.  Used to represent the
 * position of a pie chart, and the position and order of each slice within the
 * pie chart.  Used for pick/unpick.
 */
public class PiePosition 
{

/** Position of pie. */
public int cx, cy;

/** Positions of each slice in the pie. */
public Point[] coord;

/** Order of each slice in the pie. */
public short[] order;

/** Offset of each slice.  Used for exploded slices. */
public Point[] offset;

/** Default constructor. */
public PiePosition()
{
	cx = 0;
    cy = 0;
	coord = null;
	order = null;
}

}
