/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: PieSortDescending.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:47 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart;




import java.util.Comparator;


/**
 * Rules for sorting the pie chart data in descending order.
 */
class PieSortDescending implements Comparator 
{

/**
 * Compare objects!
 * @param o1, o2 the objects to be compared.  Must be of instances of
 * PieSortPoint object.
 */
public int compare(Object o1, Object o2)
{
	if (((PieSortPoint)o1).y < ((PieSortPoint)o2).y) {
		return 1;
	} else if (((PieSortPoint)o1).y > ((PieSortPoint)o2).y) {
		return -1;
	} else {
		return 0;
	}
}

}
