/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: SBarVal.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:47 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart;

import java.awt.Point;

/** 
 * Data structure internal to <code>JCChart</code>.  Used to represent
 * information for a stacking bar chart.
 */
public class SBarVal {

/** Index within data set. */
protected int nset_index;

/** Top point of stacking bar. */
protected Point top_point;

/** Side point of stacking bar. */
protected Point side_point0;

/** Side point of stacking bar. */
protected Point side_point2;

/** Default constructor. */
SBarVal()
{
	nset_index = 0;
	top_point = new Point(0, 0);
	side_point0 = new Point(0, 0);
	side_point2 = new Point(0, 0);
}

}
