/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: AxisOrientationAdapter.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:48 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.beans;

import javax.swing.JRadioButton;

/**
 * Adapter for Orientation Axis Properties.
 */

public class AxisOrientationAdapter extends AxesOrientationEditor {

protected AxisOrientationEditor editor;

public AxisOrientationAdapter(AxisOrientationEditor ed) {
	super();
	support = ed.support;
	editor = ed;
}

protected void setSelectedValue(int v, boolean setCheckboxIndication, boolean fire) {
	JRadioButton rb = getRadioButton(v);
	editor.setProperty(v);
	super.setCurrentButton(rb, fire);
}

protected void setCurrentButton(JRadioButton radio, boolean fire) {
	int v = getButtonValue(radio);
	editor.setProperty(v);
	super.setCurrentButton(radio, fire);
}

}
