/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: SimpleChartBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:49 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.beans;

import java.beans.*;

import com.klg.jclass.beans.JCPropertyDescriptor;
import com.klg.jclass.beans.JCEventSetDescriptor;

/**
 * <code>BeanInfo</code> class for the SimpleChart Bean.  Exposes all properties and
 * events specific to SimpleChart, building on the existing property base
 * in BaseChartBI.
 */
public class SimpleChartBeanInfo extends BaseChartBI {

protected static final JCPropertyDescriptor simple_properties[] = {
	new JCPropertyDescriptor(BeanKeys.DATA, 
					"com.klg.jclass.chart.beans.DataSourceEditor"),
	new JCPropertyDescriptor(BeanKeys.SWING_DATA_MODEL, null),
};

static final String[] simple_icons = {
	    "SimpleChart16.gif",
	    "SimpleChart16.gif",
	    "SimpleChart32.gif",
	    "SimpleChart32.gif"
};

public SimpleChartBeanInfo() {
	super(simple_properties, null,
			":com.klg.jclass.chart.beans.resources.LocaleBeanInfo", simple_icons);
}

}
