/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:49 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.beans.resources;

import com.klg.jclass.chart.beans.JCChartBeanBundle;

import java.util.ListResourceBundle;

/**
 *  Default Resource LocaleInfo class for JCChart beans.
 */
public class LocaleInfo extends ListResourceBundle {

//Note : When adding new keys, please fill in the holes left by the removal
//of old strings.  The following keys are currently open and available :
//    Keys  0 - 157
//    Keys  165 - 170

static final Object[][] strings = {
//LOCALIZE THIS
{ JCChartBeanBundle.key158, "Depth:" },
{ JCChartBeanBundle.key159, "Elevation:" },
{ JCChartBeanBundle.key160, "Rotation:" },
{ JCChartBeanBundle.key161, "Change Depth" },
{ JCChartBeanBundle.key162, "Drag mouse to set Depth or Elevation and Rotation." },
{ JCChartBeanBundle.key163, "Click to edit..." },
{ JCChartBeanBundle.key164, "Outline Style" },
{ JCChartBeanBundle.key171, "Load data from a file" },
{ JCChartBeanBundle.key172, "Edit data in the text area" },
{ JCChartBeanBundle.key173, "File Location" },
{ JCChartBeanBundle.key174, "Axis Orientation" },
{ JCChartBeanBundle.key175, "Origin Base" },
{ JCChartBeanBundle.key176, "Y Axis Angle" },
{ JCChartBeanBundle.key177, "Angle Unit" },
{ JCChartBeanBundle.key178, "Half Range" },
{ JCChartBeanBundle.key179, "Circular Radar Grid" },
{ JCChartBeanBundle.key180, "Degrees" },
{ JCChartBeanBundle.key181, "Radians" },
{ JCChartBeanBundle.key182, "Gradians" },
{ JCChartBeanBundle.key183, "Disabled" },
{ JCChartBeanBundle.key184, "Appearance Properties" },
{ JCChartBeanBundle.key185, "Background Color" },
{ JCChartBeanBundle.key186, "..." },
{ JCChartBeanBundle.key187, "Foreground Color" },
{ JCChartBeanBundle.key188, "Border" },
{ JCChartBeanBundle.key189, "Type" },
{ JCChartBeanBundle.key190, "Width" },
{ JCChartBeanBundle.key191, "Visible" },
{ JCChartBeanBundle.key192, "Axis Bounding Box" },
{ JCChartBeanBundle.key193, "Border types limited" },
{ JCChartBeanBundle.key194, "That border type is only available in the full version." },
{ JCChartBeanBundle.key195, "Axis Annotation Properties" },
{ JCChartBeanBundle.key196, "Font" },
{ JCChartBeanBundle.key197, "Name" },
{ JCChartBeanBundle.key198, "Style" },
{ JCChartBeanBundle.key199, "Size" },
{ JCChartBeanBundle.key200, "Method" },
{ JCChartBeanBundle.key201, "Rotation" },
{ JCChartBeanBundle.key202, "Gap" },
{ JCChartBeanBundle.key203, "Time Label annotations limited" },
{ JCChartBeanBundle.key204, "Time Labels are only available in the full version." },
{ JCChartBeanBundle.key205, "Axis Grid Properties" },
{ JCChartBeanBundle.key206, "Color" },
{ JCChartBeanBundle.key207, "Pattern" },
{ JCChartBeanBundle.key208, "Spacing" },
{ JCChartBeanBundle.key209, "Grid Color" },
{ JCChartBeanBundle.key210, "Miscellaneous Axis Properties" },
{ JCChartBeanBundle.key211, "Editable" },
{ JCChartBeanBundle.key212, "Logarithmic" },
{ JCChartBeanBundle.key213, "Axis Orientation Properties" },
{ JCChartBeanBundle.key214, "Other Axis" },
{ JCChartBeanBundle.key215, "None" },
{ JCChartBeanBundle.key216, "Axis Origin Properties" },
{ JCChartBeanBundle.key217, "Origin Location" },
{ JCChartBeanBundle.key218, "Origin Placement" },
{ JCChartBeanBundle.key219, "default" },
{ JCChartBeanBundle.key220, "All origin properties are limited" },
{ JCChartBeanBundle.key221, "Axis Placement Properties" },
{ JCChartBeanBundle.key222, "Placement" },
{ JCChartBeanBundle.key223, "Anchor Axis" },
{ JCChartBeanBundle.key224, "Anchor Location" },
{ JCChartBeanBundle.key225, "Placement values are limited" },
{ JCChartBeanBundle.key226, "That placement option is only available in the full version." },
{ JCChartBeanBundle.key227,
    "# Enter a list of Value,Label pairs\n# Values must be X values of data" },
{ JCChartBeanBundle.key228, "Axis Point Label Annotation List" },
{ JCChartBeanBundle.key229, "Axis Relationship Properties" },
{ JCChartBeanBundle.key230, "Originator" },
{ JCChartBeanBundle.key231, "Multiplier" },
{ JCChartBeanBundle.key232, "Constant" },
{ JCChartBeanBundle.key233, "All relationship properties are limited" },
{ JCChartBeanBundle.key234,
	"That relationship property is only available in the full version." },
{ JCChartBeanBundle.key235, "Axis Scale Properties" },
{ JCChartBeanBundle.key236, "Axis Scale" },
{ JCChartBeanBundle.key237, "Annotation Scale" },
{ JCChartBeanBundle.key238, "Min" },
{ JCChartBeanBundle.key239, "Max" },
{ JCChartBeanBundle.key240, "Num Spacing" },
{ JCChartBeanBundle.key241, "Tick Spacing" },
{ JCChartBeanBundle.key242, "Precision" },
{ JCChartBeanBundle.key243, "TickSpacing and Precision properties are limited" },
{ JCChartBeanBundle.key244,
	"That scale property is only available in the full version." },
{ JCChartBeanBundle.key245, "Axis Time Label Annotation Properties" },
{ JCChartBeanBundle.key246, "Time Base" },
{ JCChartBeanBundle.key247, "Time Format" },
{ JCChartBeanBundle.key248, "Time Unit" },
{ JCChartBeanBundle.key249, "Axis Title Properties" },
{ JCChartBeanBundle.key250, "Text" },
{ JCChartBeanBundle.key251,
    "# Enter a list of Value,Label pairs\n# e.g. 1.0, This Label" },
{ JCChartBeanBundle.key252, "Axis Value Label Annotation List" },
{ JCChartBeanBundle.key253, "Some properties disabled." },
{ JCChartBeanBundle.key254, "Legend Properties" },
{ JCChartBeanBundle.key255, "Orientation" },
{ JCChartBeanBundle.key256, "Anchor" },
{ JCChartBeanBundle.key257, "Data Chart Properties" },
{ JCChartBeanBundle.key258, "Chart Type" },
{ JCChartBeanBundle.key259, "X Axis" },
{ JCChartBeanBundle.key260, "Y Axis" },
{ JCChartBeanBundle.key261, "Secondary axes limited." },
{ JCChartBeanBundle.key262,
	"Secondary axes are only available in the full version." },
{ JCChartBeanBundle.key263, "Miscellaneous Data Properties" },
{ JCChartBeanBundle.key264, "Visible In Legend" },
{ JCChartBeanBundle.key265, "Draw On Front Plane" },
{ JCChartBeanBundle.key266, "Automatic Labelling" },
{ JCChartBeanBundle.key267, "Automatic labelling is limited." },
{ JCChartBeanBundle.key268,
	"The automatic labelling option is only available in the full version." },
{ JCChartBeanBundle.key269, "Data Source" },
{ JCChartBeanBundle.key270, "Title Properties" },
{ JCChartBeanBundle.key271, "Alignment" },
{ JCChartBeanBundle.key272, "Text Properties" },
{ JCChartBeanBundle.key273, "Trigger Properties" },
{ JCChartBeanBundle.key274, "Modifier" },
{ JCChartBeanBundle.key275, "Action" },
{ JCChartBeanBundle.key276, "Shift" },
{ JCChartBeanBundle.key277, "Ctrl" },
{ JCChartBeanBundle.key278, "Alt" },
{ JCChartBeanBundle.key279, "Meta" },
{ JCChartBeanBundle.key280, "Allow User Changes" },
{ JCChartBeanBundle.key281, "Ctrl, Alt, and Meta triggers are limited." },
{ JCChartBeanBundle.key282,
	"That trigger action is only available in the full version." },
{ JCChartBeanBundle.key283, "RGB Color" },
{ JCChartBeanBundle.key284, "OK" },
{ JCChartBeanBundle.key285, "Cancel" },
{ JCChartBeanBundle.key286, "Feature Disabled" },
{ JCChartBeanBundle.key287, "Data View #" },
{ JCChartBeanBundle.key288, "Axes" },
{ JCChartBeanBundle.key289, "Data Views" },
{ JCChartBeanBundle.key290, "Legend" },
{ JCChartBeanBundle.key291, "Footer" },
{ JCChartBeanBundle.key292, "Header" },
{ JCChartBeanBundle.key293, "ChartArea" },
{ JCChartBeanBundle.key294, "Chart" },
{ JCChartBeanBundle.key295, "PlotArea" },
{ JCChartBeanBundle.key296,
	"That origin property is only available in the full version." },
{ JCChartBeanBundle.key297, "Join" },
{ JCChartBeanBundle.key298, "Cap" },
{ JCChartBeanBundle.key299, "Opaque" },
//END OF MATERIAL TO LOCALIZE
};

public Object[][] getContents() {
	return strings;
}

}

