/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCustomizerCustomFrame.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:50 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;

import java.awt.Event;
import java.awt.Component;
import java.awt.event.WindowListener;
import java.awt.event.WindowEvent;

import javax.swing.JFrame;
import javax.swing.JComponent;
import javax.swing.JApplet;

public class JCustomizerCustomFrame extends JFrame {

private static int instances = 0;

public JCustomizerCustomFrame() {
	super();
	addInstance();
}

public JCustomizerCustomFrame( String s ) {
	super(s);
	addInstance();
}

public synchronized void dispose() {
	Component [] comps = getContentPane().getComponents();
	for(int i = 0; i < comps.length; i++) {
		if(comps[i] instanceof JApplet) 
			((JApplet)comps[i]).destroy();
	}
	super.dispose();
	removeInstance();
}

private void addInstance() {
	setDefaultCloseOperation( DISPOSE_ON_CLOSE );
	instances++;
}

private void removeInstance() {
	instances--;

	if(instances == 0)
		System.exit(0);
}

}
