/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:51 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer.resources;

import java.util.ListResourceBundle;
import com.klg.jclass.chart.customizer.JCustomizerBundle;


public class LocaleInfo extends ListResourceBundle {

//Note : When adding new keys, please fill in the holes left by the removal
//of old strings.  The following keys are currently open and available :
//    Keys  63 - 66


static final Object[][] strings = {
//LOCALIZE THIS
{ JCustomizerBundle.key0,  "JClass Chart Properties" },
{ JCustomizerBundle.key1,  "JCustomizerPage launch():" },
{ JCustomizerBundle.key2,  "Could not create" },
{ JCustomizerBundle.key3,  "JClass Chart Property Page" },
{ JCustomizerBundle.key4,  "Chart General Property Page" },
{ JCustomizerBundle.key5,  "PropertyPage" },
{ JCustomizerBundle.key6,  "not implemented" },
{ JCustomizerBundle.key7,  "JClass Tabbed Property Page" },
{ JCustomizerBundle.key8,  "Chart Data View General Property Page" },
{ JCustomizerBundle.key9,  "JClass Chart Property Pages" },
{ JCustomizerBundle.key10, "Chart Component Property Pages" },
{ JCustomizerBundle.key11, "Chart Area Property Pages" },
{ JCustomizerBundle.key12, "Chart Legend Property Pages" },
{ JCustomizerBundle.key13, "Chart Titles Property Pages" },
{ JCustomizerBundle.key14, "DoubleBuffered" },
{ JCustomizerBundle.key15, "Batched" },
{ JCustomizerBundle.key16, "Cannot find Quest's logo image!" },
{ JCustomizerBundle.key17, "Cannot read Quest's logo image!" },
{ JCustomizerBundle.key18, "Cannot access Quest's logo image!" },
{ JCustomizerBundle.key19, "These property pages make heavy use of the JFC Swing UI toolkit" },
{ JCustomizerBundle.key20, "Background" },
{ JCustomizerBundle.key21, "Foreground" },
{ JCustomizerBundle.key22, "Chart Region Color Property Page" },
{ JCustomizerBundle.key23, "JClass Chart Customizer" },
{ JCustomizerBundle.key24, "Unknown" },
{ JCustomizerBundle.key25, "Chart Type" },
{ JCustomizerBundle.key26, "View Name" },
{ JCustomizerBundle.key27, "Visible" },
{ JCustomizerBundle.key28, "VisibleInLegend" },
{ JCustomizerBundle.key29, "Apply from HTML" },
{ JCustomizerBundle.key30, "Chart Name" },
{ JCustomizerBundle.key31, "DataSource" },
{ JCustomizerBundle.key32, "Can't change Chart Type:" },
{ JCustomizerBundle.key33, "Load..." },
{ JCustomizerBundle.key34, "Save..." },
{ JCustomizerBundle.key35, "Load data" },
{ JCustomizerBundle.key36, "Save data" },
{ JCustomizerBundle.key37, "JClass File Name Editor" },
{ JCustomizerBundle.key38, "Error saving data:" },
{ JCustomizerBundle.key39, "Error loading data:" },
{ JCustomizerBundle.key40, "JClass Chart DataSource Editor" },
{ JCustomizerBundle.key41, "JClass Chart-Type Specific Pages" },
{ JCustomizerBundle.key42, "Chart DataView Tabbed Property Page" },
{ JCustomizerBundle.key43, "Chart Axis Property Pages" },
{ JCustomizerBundle.key44, "Axis Customizer" },
{ JCustomizerBundle.key45, "JClass Title Property Pages" },
{ JCustomizerBundle.key46, "JClass Header Property Pages" },
{ JCustomizerBundle.key47, "JClass Footer Property Pages" },
{ JCustomizerBundle.key48, "Chart Style Tabbed Property Page" },
{ JCustomizerBundle.key49, "Chart Plot Area Property Pages" },
{ JCustomizerBundle.key50, "Chart Label Tabbed Property Page" },
{ JCustomizerBundle.key51, "Chart AxisLabel Property Pages" },
{ JCustomizerBundle.key52, "Axis Attachment Pages" },
{ JCustomizerBundle.key53, "Load from HTML" },
{ JCustomizerBundle.key54, "Join" },
{ JCustomizerBundle.key55, "Cap" },
{ JCustomizerBundle.key56, "Polar/Radar" },
{ JCustomizerBundle.key57, "Polar/Radar Chart Specific Property Page" },
{ JCustomizerBundle.key58, "Origin Base Angle" },
{ JCustomizerBundle.key59, "Y Axis Angle" },
{ JCustomizerBundle.key60, "Half Range" },
{ JCustomizerBundle.key61, "Web Grid Lines" },
{ JCustomizerBundle.key62, "Angle Unit" },
{ JCustomizerBundle.key63, "Annotation Rotation Angle" },
{ JCustomizerBundle.key67, "Tab Label" },
{ JCustomizerBundle.key68, "Chart" },
{ JCustomizerBundle.key69, "Data View" },
{ JCustomizerBundle.key70, "Axes" },
{ JCustomizerBundle.key71, "Chart Area" },
{ JCustomizerBundle.key72, "Legend" },
{ JCustomizerBundle.key73, "Titles" },
{ JCustomizerBundle.key74, "General" },
{ JCustomizerBundle.key75, "Margins" },
{ JCustomizerBundle.key76, "Colors" },
{ JCustomizerBundle.key77, "Border" },
{ JCustomizerBundle.key78, "Triggers" },
{ JCustomizerBundle.key79, "Bar" },
{ JCustomizerBundle.key80, "Pie" },
{ JCustomizerBundle.key81, "Candle" },
{ JCustomizerBundle.key82, "Hi Lo Open Close" },
{ JCustomizerBundle.key83, "View" },
{ JCustomizerBundle.key84, "Axis Relationship" },
{ JCustomizerBundle.key85, "Axis Placement" },
{ JCustomizerBundle.key86, "Data" },
{ JCustomizerBundle.key87, "Axes" },
{ JCustomizerBundle.key88, "Chart Styles" },
{ JCustomizerBundle.key89, "Labels" },
{ JCustomizerBundle.key90, "Location" },
{ JCustomizerBundle.key91, "View 3D" },
{ JCustomizerBundle.key92, "Plot Area" },
{ JCustomizerBundle.key93, "Annotation" },
{ JCustomizerBundle.key94, "Scale" },
{ JCustomizerBundle.key95, "Title" },
{ JCustomizerBundle.key96, "Grid" },
{ JCustomizerBundle.key97, "Value" },
{ JCustomizerBundle.key98, "Time Labels" },
{ JCustomizerBundle.key99, "Value Labels" },
{ JCustomizerBundle.key100, "Fill Style" },
{ JCustomizerBundle.key101, "Line Style" },
{ JCustomizerBundle.key102, "Symbol Style" },
{ JCustomizerBundle.key103, "Header" },
{ JCustomizerBundle.key104, "Footer" },
{ JCustomizerBundle.key105, "Chart Labels" },
{ JCustomizerBundle.key106, "File" },
{ JCustomizerBundle.key107, "Save As HTML"},
{ JCustomizerBundle.key108, "Close" },
{ JCustomizerBundle.key109, "Text" },
{ JCustomizerBundle.key110, "Update" },
{ JCustomizerBundle.key111, "Horizontal Alignment" },
{ JCustomizerBundle.key112, "Font" },
{ JCustomizerBundle.key113, "Chart Title General Property Page" },
{ JCustomizerBundle.key114, "Attachment" },
{ JCustomizerBundle.key115, "Color" },
{ JCustomizerBundle.key116, "Width" },
{ JCustomizerBundle.key117, "Style" },
{ JCustomizerBundle.key118, "Chart Line Style Page" },
{ JCustomizerBundle.key119, "Top" },
{ JCustomizerBundle.key120, "Left" },
{ JCustomizerBundle.key121, "Bottom" },
{ JCustomizerBundle.key122, "Right" },
{ JCustomizerBundle.key123, "Opaque" },
{ JCustomizerBundle.key124, "isDefault" },
{ JCustomizerBundle.key125, "Height" },
{ JCustomizerBundle.key126, "Chart Area Location Property Page" },
{ JCustomizerBundle.key127, "Fast Action" },
{ JCustomizerBundle.key128, "Chart Area General Property Page" },
{ JCustomizerBundle.key129, "Use this Font" },
{ JCustomizerBundle.key130, "Bad" },
{ JCustomizerBundle.key131, "JClass Font Editor" },
{ JCustomizerBundle.key132, "JClass Integer Editor" },
{ JCustomizerBundle.key133, "Add" },
{ JCustomizerBundle.key134, "Preview" },
{ JCustomizerBundle.key135, "Remove" },
{ JCustomizerBundle.key136, "Cancel" },
{ JCustomizerBundle.key137, "Add/Remove Object" },
{ JCustomizerBundle.key138, "Series" },
{ JCustomizerBundle.key139, "Chart DataView Property Page Selector" },
{ JCustomizerBundle.key140, "No Views" },
{ JCustomizerBundle.key141, "Views" },
{ JCustomizerBundle.key142, "Styles" },
{ JCustomizerBundle.key143, "Other" },
{ JCustomizerBundle.key144, "Chart Styles Property Page" },
{ JCustomizerBundle.key145, "Name" },
{ JCustomizerBundle.key146, "First" },
{ JCustomizerBundle.key147, "Last" },
{ JCustomizerBundle.key148, "Hole" },
{ JCustomizerBundle.key149, "Included" },
{ JCustomizerBundle.key150, "Point" },
{ JCustomizerBundle.key151, "Chart Data View Data Property Page" },
{ JCustomizerBundle.key152, "Chart Data View Property Pages" },
{ JCustomizerBundle.key153, "Outline Style" },
{ JCustomizerBundle.key154, "ChartDataView Outline Style Editor" },
{ JCustomizerBundle.key155, "Fill Color" },
{ JCustomizerBundle.key156, "Image" },
{ JCustomizerBundle.key157, "Pattern" },
{ JCustomizerBundle.key158, "Chart Fill Style Page" },
{ JCustomizerBundle.key159, "Chart Symbol Style Page" },
{ JCustomizerBundle.key160, "Size" },
{ JCustomizerBundle.key161, "Shape" },
{ JCustomizerBundle.key162, "Enum Editor Page" },
{ JCustomizerBundle.key163, "Plot Area Margin Page" },
{ JCustomizerBundle.key164, "Type" },
{ JCustomizerBundle.key165, "Chart Region Border Property Page" },
{ JCustomizerBundle.key166, "Axis Bounding Box" },
{ JCustomizerBundle.key167, "Chart Plot Area Border Property Page" },
{ JCustomizerBundle.key168, "Anchor" },
{ JCustomizerBundle.key169, "Orientation" },
{ JCustomizerBundle.key170, "Could not set legend anchor" },
{ JCustomizerBundle.key171, "Legend General Property Page" },
{ JCustomizerBundle.key172, "View 3D Property Page" },
{ JCustomizerBundle.key173, "Depth" },
{ JCustomizerBundle.key174, "Elevation" },
{ JCustomizerBundle.key175, "Rotation" },
{ JCustomizerBundle.key176, "Chart Data View Data List Property Page" },
{ JCustomizerBundle.key177, "100 percent" },
{ JCustomizerBundle.key178, "Cluster Width" },
{ JCustomizerBundle.key179, "Cluster Overlap" },
{ JCustomizerBundle.key180, "Bar Chart Specific Property Page" },
{ JCustomizerBundle.key181, "Complex" },
{ JCustomizerBundle.key182, "Candle Chart Specific Property Page" },
{ JCustomizerBundle.key183, "ShowingOpen" },
{ JCustomizerBundle.key184, "ShowingClose" },
{ JCustomizerBundle.key185, "OpenCloseFullWidth" },
{ JCustomizerBundle.key186, "HiLo Chart Specific Property Page" },
{ JCustomizerBundle.key187, "Threshold Method" },
{ JCustomizerBundle.key188, "Threshold Value" },
{ JCustomizerBundle.key189, "Sort Order" },
{ JCustomizerBundle.key190, "Minimum Slices" },
{ JCustomizerBundle.key191, "Pie Chart Specific Property Page" },
{ JCustomizerBundle.key192, "Chart Axes Property Pages" },
{ JCustomizerBundle.key193, "Editable" },
{ JCustomizerBundle.key194, "Logarithmic" },
{ JCustomizerBundle.key195, "Reversed" },
{ JCustomizerBundle.key196, "Vertical" },
{ JCustomizerBundle.key197, "Chart Axes General Property Page" },
{ JCustomizerBundle.key198, "Show Grid" },
{ JCustomizerBundle.key199, "Grid Spacing" },
{ JCustomizerBundle.key200, "Grid Style" },
{ JCustomizerBundle.key201, "Chart Axis Grid Property Page" },
{ JCustomizerBundle.key202, "Placement" },
{ JCustomizerBundle.key203, "Chart Axis Title Property Page" },
{ JCustomizerBundle.key204, "Originator" },
{ JCustomizerBundle.key205, "Multiplier" },
{ JCustomizerBundle.key206, "Constant" },
{ JCustomizerBundle.key207, "Chart Axis Relationship Property Page" },
{ JCustomizerBundle.key208, "Chart Axis Placement Property Page" },
{ JCustomizerBundle.key209, "Field Editor Page" },
{ JCustomizerBundle.key210, "default" },
{ JCustomizerBundle.key211, "Base Time" },
{ JCustomizerBundle.key212, "Format" },
{ JCustomizerBundle.key213, "Units" },
{ JCustomizerBundle.key214, "Time Label Axis Property Page" },
{ JCustomizerBundle.key215, "Chart Format" },
{ JCustomizerBundle.key216, "Short Format" },
{ JCustomizerBundle.key217, "Full Format" },
{ JCustomizerBundle.key218, "Base Time Format" },
{ JCustomizerBundle.key219, "Axis Min" },
{ JCustomizerBundle.key220, "Axis Max" },
{ JCustomizerBundle.key221, "Origin" },
{ JCustomizerBundle.key222, "Axis Scale Property Page" },
{ JCustomizerBundle.key223, "Inverted" },
{ JCustomizerBundle.key224, "Axis Direction" },
{ JCustomizerBundle.key225, "Edit X Axis..." },
{ JCustomizerBundle.key226, "Edit Y Axis..." },
{ JCustomizerBundle.key227, "Attach" },
{ JCustomizerBundle.key228, "JCAxisDialog not implemented" },
{ JCustomizerBundle.key229, "Edit View X Axis" },
{ JCustomizerBundle.key230, "Edit View Y Axis" },
{ JCustomizerBundle.key231, "Chart Axis Orientation Property Pages" },
{ JCustomizerBundle.key232, "Axis" },
{ JCustomizerBundle.key233, "View Axis Property Page" },
{ JCustomizerBundle.key234, "Annotation Method" },
{ JCustomizerBundle.key235, "Annotation Rotation" },
{ JCustomizerBundle.key236, "Origin Placement" },
{ JCustomizerBundle.key237, "Annotation Font" },
{ JCustomizerBundle.key238, "Chart Axis Annotation Property Page" },
{ JCustomizerBundle.key239, "Annotation Method Error" },
{ JCustomizerBundle.key240, "DwellLabel" },
{ JCustomizerBundle.key241, "Chart Label General Property Page" },
{ JCustomizerBundle.key242, "No chart labels" },
{ JCustomizerBundle.key243, "Chart label" },
{ JCustomizerBundle.key244, "Chart Label General Property Page" },
{ JCustomizerBundle.key245, "Chart labels" },
{ JCustomizerBundle.key246, "Series labels" },
{ JCustomizerBundle.key247, "Apply" },
{ JCustomizerBundle.key248, "Point Labels" },
{ JCustomizerBundle.key249, "Auto Label Data" },
{ JCustomizerBundle.key250, "Other Slice Label" },
{ JCustomizerBundle.key251, "Chart Data View Labels Page" },
{ JCustomizerBundle.key252, "Anchor to" },
{ JCustomizerBundle.key253, "Offset" },
{ JCustomizerBundle.key254, "Reset Size" },
{ JCustomizerBundle.key255, "Pixel" },
{ JCustomizerBundle.key256, "Chart Labels Location Property Page" },
{ JCustomizerBundle.key257, "Attach to" },
{ JCustomizerBundle.key258, "Coordinate" },
{ JCustomizerBundle.key259, "Data Index" },
{ JCustomizerBundle.key260, "Data Coord" },
{ JCustomizerBundle.key261, "Chart Label Attach Property Page" },
{ JCustomizerBundle.key262, "Trigger" },
{ JCustomizerBundle.key263, "Modifier" },
{ JCustomizerBundle.key264, "Chart Trigger Property Page" },
{ JCustomizerBundle.key265, "A bad trigger was added" },
{ JCustomizerBundle.key266, "Trigger remove" },
{ JCustomizerBundle.key267, "Label" },
{ JCustomizerBundle.key268, "Axis Value Labels Property Page" },
{ JCustomizerBundle.key269, "Num Spacing" },
{ JCustomizerBundle.key270, "Tick Spacing" },
{ JCustomizerBundle.key271, "Precision" },
{ JCustomizerBundle.key272, "Axis Label Value Property Page" },
{ JCustomizerBundle.key273, "Nothing yet" },
{ JCustomizerBundle.key274, "Save to" },
{ JCustomizerBundle.key275, "Param file" },
{ JCustomizerBundle.key276, "Serialized file" },
{ JCustomizerBundle.key277, "Saved" },
{ JCustomizerBundle.key278, "Preview" },
{ JCustomizerBundle.key279, "Preview not available for" },
{ JCustomizerBundle.key280, "Chart saved to" },
{ JCustomizerBundle.key281, "Failed to save parameter file" },
{ JCustomizerBundle.key282, "Failed to save serialized file" },
{ JCustomizerBundle.key283, "Save dialog launch failed" },
{ JCustomizerBundle.key284, "JClass Chart Save Dialog" },
{ JCustomizerBundle.key285, "Attach Axis to" },
{ JCustomizerBundle.key286, "Relation" },
{ JCustomizerBundle.key287, "No Data View to attach axis to" },
{ JCustomizerBundle.key288, "Axis relationship not specifed" },
{ JCustomizerBundle.key289, "Axis placement and value not specifed" },
{ JCustomizerBundle.key290, "Chart Axis Attachment Property Page" },
{ JCustomizerBundle.key291, "Add or Remove Chart Axis" },
{ JCustomizerBundle.key292, "Loaded" },
{ JCustomizerBundle.key293, "Replace" },
{ JCustomizerBundle.key294, "Loaded from" },
{ JCustomizerBundle.key295, "Nothing loaded" },
{ JCustomizerBundle.key296, "Failed to read serialized file" },
{ JCustomizerBundle.key297, "No chart instance" },
{ JCustomizerBundle.key298, "JClass Chart Load Dialog" },
{ JCustomizerBundle.key299, "Add or Remove Chart Label Dialog" },
{ JCustomizerBundle.key300, "Chart Data View Add/Remove Dialog" },
{ JCustomizerBundle.key301, "JCChart Customizer About Page" },
{ JCustomizerBundle.key302, "Select Trigger" },
{ JCustomizerBundle.key303, "JCChart Trigger Customizer Table" },
{ JCustomizerBundle.key304, "Connected" },
{ JCustomizerBundle.key305, "JCChart Value Label Table" },
{ JCustomizerBundle.key306, "Add label row" },
{ JCustomizerBundle.key307, "Remove label row" },
{ JCustomizerBundle.key308, "F" },//this is the menmonic for the File menu item
{ JCustomizerBundle.key309, "L" },//this is the menmonic for the Look and Feel menu item
{ JCustomizerBundle.key310, "Look & Feel" },
{ JCustomizerBundle.key311, "Windows Look & Feel" },
{ JCustomizerBundle.key312, "Motif Look & Feel" },
{ JCustomizerBundle.key313, "Metal Look & Feel" },
{ JCustomizerBundle.key314, "Unable to change the Look & Feel!" },
{ JCustomizerBundle.key315, "Error" },
{ JCustomizerBundle.key316, "Macintosh Look & Feel" },
{ JCustomizerBundle.key317, "Data Binding" },
{ JCustomizerBundle.key318, "DB Connection" },
{ JCustomizerBundle.key319, "DB Source" },
{ JCustomizerBundle.key320, "Connection Page" },
{ JCustomizerBundle.key321, "MetaData Page" },
{ JCustomizerBundle.key322, "Driver URL" },
{ JCustomizerBundle.key323, "DataBase URL" },
{ JCustomizerBundle.key324, "User" },
{ JCustomizerBundle.key325, "Password" },
{ JCustomizerBundle.key326, "Connect" },
{ JCustomizerBundle.key327, "Disconnect" },
{ JCustomizerBundle.key328, "Not connected" },
{ JCustomizerBundle.key329, "Connected" },
{ JCustomizerBundle.key330, "Connection failed" },
{ JCustomizerBundle.key331, "Data Bound Source Page" },
{ JCustomizerBundle.key332, "Connection failed" },
//{ JCustomizerBundle.key333, "*free was Tables" },
{ JCustomizerBundle.key333, "Vertical Alignment" },
{ JCustomizerBundle.key334, "*free was Numeric" },
{ JCustomizerBundle.key335, "*free was Character" },
{ JCustomizerBundle.key336, "*free was Time/Date " },
{ JCustomizerBundle.key337, "*free was Columns" },
{ JCustomizerBundle.key338, "*free was Set series" },
{ JCustomizerBundle.key339, "*free was Set time labels" },
{ JCustomizerBundle.key340, "*free was Set point labels" },
{ JCustomizerBundle.key341, "*free was Data Range" },
{ JCustomizerBundle.key342, "*free was Start Point" },
{ JCustomizerBundle.key343, "*free was End Point" },
{ JCustomizerBundle.key344, "Area" },
{ JCustomizerBundle.key345, "Start Angle" },
{ JCustomizerBundle.key346, "Area Chart Specific Property Page" },
//END OF MATERIAL TO LOCALIZE
};

public Object[][] getContents() {
	return strings;
}

}
