/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JBdbChartBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:52 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.db.jbuilder;

import java.beans.BeanDescriptor;
import java.beans.BeanInfo;

import com.klg.jclass.beans.JCPropertyDescriptor;
import com.klg.jclass.beans.JCEventSetDescriptor;
import com.klg.jclass.beans.JCBeanInfo;
import com.klg.jclass.chart.beans.BeanKeys;
import com.klg.jclass.chart.beans.BaseChartBI;

/**
 * BeanInfo class for JBdbChart bean.  It exposes the properties specific
 * to this bean, building on the existing property list in BaseChartBI.
 */
public class JBdbChartBeanInfo extends BaseChartBI {

protected static final JCPropertyDescriptor jb_properties[] = {
	new JCPropertyDescriptor(BeanKeys.DATA_SET, null),
	new JCPropertyDescriptor(BeanKeys.DATA_BINDING_CONFIG,
				"com.klg.jclass.chart.db.DataBindingConfigEditor"),
};

protected static final String[] jb_icons = {
        "JBdbChart16.gif",
        "JBdbChart16.gif",
        "JBdbChart32.gif",
        "JBdbChart32.gif"
};

public JBdbChartBeanInfo() {
	super(jb_properties, null,
		":com.klg.jclass.chart.beans.resources.LocaleBeanInfo", jb_icons);
}

}
