/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DrawFacetMSZC.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:57 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d;

import java.awt.Graphics;

/**
 * Draw Facet - Mesh, Shaded, Zones, Contours
 */
public class DrawFacetMSZC extends DrawFacetAbstract {

/**
 *
 */
DrawFacetMSZC()
{
}

/**
 *
 */
DrawFacetMSZC(DrawGrid drawGrid, Graphics gc)
{
	super(drawGrid, gc);
}

/**
 *
 */
public void draw(int[] xPoints, int[] yPoints, int n, int holeCode, int x, int y)
{
	if (!polyFilledZones(x, y)) {
		polyFilled(xPoints, yPoints, n, holeCode);
	}
	polyOutline(xPoints, yPoints, n, holeCode, x, y);
	polyContours(x, y);
}

}


