/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ComboBoxEntry.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:59 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.customizer;

public class ComboBoxEntry implements Comparable {

private int			constant;
private String		name;

public ComboBoxEntry(int constant, String name) {
	this.name = name;
	this.constant = constant;
}

public int compareTo(Object o) {

	int constantToCompare = ((ComboBoxEntry)o).getConstant();

	if (getConstant() < constantToCompare) {
		return -1;
	}

	if (getConstant() > constantToCompare) {
		return 1;
	}

	return 0;
}

public boolean equals(Object o) {

	if (o instanceof ComboBoxEntry) {
		return ((ComboBoxEntry)o).getConstant() == getConstant();
	}

	return false;
}

public int getConstant() {
	return constant;
}

public String getName() {
	return name;
}

public String toString() {
	return getName();
}

}

