/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:01 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.customizer.util.resources;

import java.util.ListResourceBundle;

public class LocaleInfo extends ListResourceBundle {

	static final Object[][] strings = {
		//LOCALIZE THIS
		{ LocaleBundle.STRING_RGB, "RGB" },
		{ LocaleBundle.STRING_NAME, "Name" },
		{ LocaleBundle.STRING_EMPTY, "Empty" },
		{ LocaleBundle.STRING_BEVEL, "Bevel" },
		{ LocaleBundle.STRING_ETCHED, "Etched" },
		{ LocaleBundle.STRING_LINE, "Line" },
		{ LocaleBundle.STRING_MATTE, "Matte" },
		{ LocaleBundle.STRING_TITLED, "Titled" },
		{ LocaleBundle.STRING_TOP_MARGIN, "Top Margin" },
		{ LocaleBundle.STRING_LEFT_MARGIN, "Left Margin" },
		{ LocaleBundle.STRING_BOTTOM_MARGIN, "Bottom Margin" },
		{ LocaleBundle.STRING_RIGHT_MARGIN, "Right Margin" },
		{ LocaleBundle.STRING_LOWERED, "Lowered" },
		{ LocaleBundle.STRING_RAISED, "Raised" },
		{ LocaleBundle.STRING_HIGHLIGHT_COLOR, "Highlight Color" },
		{ LocaleBundle.STRING_SHADOW_COLOR, "Shadow Color" },
		{ LocaleBundle.STRING_LINE_COLOR, "Line Color" },
		{ LocaleBundle.STRING_LINE_THICKNESS, "Line Thickness" },
		{ LocaleBundle.STRING_MATTE_COLOR, "Matte Color" },
		{ LocaleBundle.STRING_TITLE_TEXT, "Title Text" },
		{ LocaleBundle.STRING_UNDEFINED, "Undefined" },
		{ LocaleBundle.STRING_ERROR, "Error" },
		{ LocaleBundle.STRING_CHOOSE_A_COLOR, "Choose a Color" },
		{ LocaleBundle.STRING_EMPTY_BORDER, "Empty Border" },
		{ LocaleBundle.STRING_BEVEL_BORDER, "Bevel Border" },
		{ LocaleBundle.STRING_LINE_BORDER, "Line Border" },
		{ LocaleBundle.STRING_MATTE_BORDER, "Matte Border" },
		{ LocaleBundle.STRING_TITLED_BORDER, "Titled Border" },

		{ LocaleBundle.ERROR_ILLEGAL_COLOR, "Illegal color value entered" },
		{ LocaleBundle.ERROR_ILLEGAL_VALUE, "Illegal value entered" }
		//{ LocaleBundle.ERROR_, "" },
	};

	public Object[][] getContents() {
		return strings;
	}
}
