/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCTransformGroup.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:06 $  $Locker:  $  Quest Software Inc.

//  JCTransformGroup.java

package com.klg.jclass.chart3d.j3d;

import javax.media.j3d.*;

class JCTransformGroup extends TransformGroup {

/**
 * No args constructor which sets capability bits
 * ALLOW_CHILDREN_READ, ALLOW_CHILDREN_WRITE,
 * ALLOW_CHILDREN_EXTEND, ALLOW_TRANSFORM_READ,
 * and ALLOW_TRANSFORM_WRITE.
 */
public JCTransformGroup() {
	super();

	setCapability(TransformGroup.ALLOW_TRANSFORM_READ);
	setCapability(TransformGroup.ALLOW_TRANSFORM_WRITE);
	setCapability(TransformGroup.ALLOW_CHILDREN_READ);
	setCapability(TransformGroup.ALLOW_CHILDREN_WRITE);
	setCapability(TransformGroup.ALLOW_CHILDREN_EXTEND);
}

/**
 * This constructor sets capability bits
 * ALLOW_CHILDREN_READ, ALLOW_CHILDREN_WRITE,
 * ALLOW_CHILDREN_EXTEND, ALLOW_TRANSFORM_READ,
 * and ALLOW_TRANSFORM_WRITE.
 *
 * @param t A Transform3D object.
 */
public JCTransformGroup(Transform3D t) {
	super(t);

	setCapability(TransformGroup.ALLOW_TRANSFORM_READ);
	setCapability(TransformGroup.ALLOW_TRANSFORM_WRITE);
	setCapability(TransformGroup.ALLOW_CHILDREN_READ);
	setCapability(TransformGroup.ALLOW_CHILDREN_WRITE);
	setCapability(TransformGroup.ALLOW_CHILDREN_EXTEND);
}

}
