/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo_fr.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:07 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.resources;

import com.klg.jclass.chart3d.*;
import java.util.ListResourceBundle;

public class LocaleInfo_fr extends ListResourceBundle {

protected Object[][] strings = {
	{LocaleBundle.INVALID_VALUE_ERROR, "Invalid value_fr."},

	{LocaleBundle.UNNAMED_DATA_OBJECT_ERROR,"Unnamed Data Object_fr"},
	{LocaleBundle.UNRECOGNIZED_DATA_MODEL_ERROR,  LocaleBundle.INVALID_VALUE_ERROR +"Unrecognized data model_fr."},
	{LocaleBundle.INVALID_CHART_TYPE_ERROR, LocaleBundle.INVALID_VALUE_ERROR +"It must be one of JCChart3d.SURFACE, JCChart3d.BAR, or JCChart3d.SCATTER_fr."},
	{LocaleBundle.INVALID_X_OR_Y_INDEX_ERROR, "Invalid x or y index_fr"},
	{LocaleBundle.INVALID_VALUE_NULL_ERROR,LocaleBundle.INVALID_VALUE_ERROR +"Cannot be null_fr."},
	{LocaleBundle.BAD_DATA_OR_INDEX_ERROR,"Bad data or index_fr"},
	{LocaleBundle.DATA_AND_INDEX_DONT_MATCH_ERROR , "Data and index do not match_fr"},
	{LocaleBundle.BAD_SERIES_OR_POINT_ERROR , "Bad series or point value_fr."},
	{LocaleBundle.ELEVATION_AND_ZONE_DATA_MISMATCH_ERROR, "Elevation data and Zone data do not match_fr!"},
	{LocaleBundle.UNKNOWN_EVENT_ERROR, "Unknown event type_fr: "},
	{LocaleBundle.SERIES_OUT_OF_RANGE_ERROR, "Series number out of range_fr."},
	{LocaleBundle.INVALID_OUT_OF_THOUSAND_ERROR, LocaleBundle.INVALID_VALUE_ERROR +"Must be between 0 and 1000_fr."},
	{LocaleBundle.INVALID_FIXED_OR_HISTOGRAM_ERROR, LocaleBundle.INVALID_VALUE_ERROR +"Should be one of FIXED or HISTOGRAM_fr."},
	{LocaleBundle.AXIS_AND_ID_MISMATCH_ERROR, "AxisId does not match ID of Axis_fr!"},
	{LocaleBundle.ARRAY_LENGTH_INCORRECT_ERROR, LocaleBundle.INVALID_VALUE_ERROR +"Array has incorrect length_fr!"},
	{LocaleBundle.CUSTOMIZER_PAGE_LAUNCH_ERROR, "JCChart3dCustomizerPage Launch_fr"},
	{LocaleBundle.INVALID_CONTINUOUS_OR_STEPPED_ERROR, LocaleBundle.INVALID_VALUE_ERROR +"Should be one of CONTINUOUS or STEPPED_fr."},
	{LocaleBundle.INVALID_DATA_OR_ALL_ERROR, "Invalid value.  Should be one of RANGE_DATA or RANGE_ALL_fr."},
	{LocaleBundle.INVALID_CONTOURS_OR_CELLS_ERROR, LocaleBundle.INVALID_VALUE_ERROR +"Should be one of ZONE_CONTOURS or ZONE_CELLS_fr."},
	{LocaleBundle.INVALID_FILLSTYLE_ERROR, LocaleBundle.INVALID_VALUE_ERROR +"Must be one of NONE, SOLID, PER_25, PER_50, PER_75, HORIZ_STRIPE, VERT_STRIPE, STRIPE_45, STRIPE_135, DIAG_HATCHED, CROSS_HATCHED, CUSTOM_FILL, or CUSTOM_STACK_fr."},
	{LocaleBundle.INVALID_LINESTYLE_ERROR, LocaleBundle.INVALID_VALUE_ERROR +"Must be one of NONE, SOLID, LONG_DASH, SHORT_DASH, LSL_DASH or DASH_DOT_fr"},
	{LocaleBundle.INVALID_VALUE_NEGATIVE_ERROR, LocaleBundle.INVALID_VALUE_ERROR +"Must be positive_fr."},
	{LocaleBundle.INVALID_CUBE_OR_FULL_ERROR, LocaleBundle.INVALID_VALUE_ERROR +"Should be one of PREVIEW_CUBE or PREVIEW_FULL_fr."},

	{LocaleBundle.OKAY_LABEL, "OK_fr"},
	{LocaleBundle.CHART3D_PROPERTIES_LABEL, "JClass Chart3d Properties_fr"},
	{LocaleBundle.X_AXIS_LABEL, "X axis_fr"},
	{LocaleBundle.Y_AXIS_LABEL, "Y axis_fr"},
	{LocaleBundle.Z_AXIS_LABEL, "Z axis_fr"},
	{LocaleBundle.AXIS_EYE, "Axis eye_fr"},
	{LocaleBundle.NUM_AXES, "Number of axes_fr"},
	{LocaleBundle.MIN_LABEL, "minimum_fr"},
	{LocaleBundle.MAX_LABEL, "maximum_fr"},
	{LocaleBundle.LEVEL_LABEL, "level_fr"},
	{LocaleBundle.PARENT_STYLE_LABEL, "parent style_fr"},
	{LocaleBundle.DRAW_STYLE_LABEL, "draw style_fr"},
	{LocaleBundle.SERIES_LABEL, "series_fr"},
	{LocaleBundle.POINT_LABEL, "point_fr"},




	{JCChart3d.ERRMSG_CUSTOMIZER_FAILURE, "Could not initialize Customizer_fr."},

	{LocaleBundle.TYPE_SURFACE, "surface_fr"},
	{LocaleBundle.TYPE_BAR, "bar_fr"},
	{LocaleBundle.TYPE_SCATTER, "scatter_fr"},
	{LocaleBundle.TYPE_LAST_PREDEFINED, "last predefined chart type_fr"},

	{LocaleBundle.NONE, "None_fr"},

	{LocaleBundle.ROTATE, "Rotate_fr"},
	{LocaleBundle.ZOOM, "Zoom_fr"},
	{LocaleBundle.TRANSLATE, "Translate_fr"},
	{LocaleBundle.EDIT, "Edit_fr"},
	{LocaleBundle.PICK, "Pick_fr"},
	{LocaleBundle.SCALE, "Scale_fr"},
	{LocaleBundle.CUSTOMIZE, "Customize_fr"},

	{LocaleBundle.VALUES_STRING, "Values_fr"},
	{LocaleBundle.DATA_LABELS_STRING, "Data Labels_fr"},
	{LocaleBundle.VALUE_LABELS_STRING, "Value Labels_fr"},

	{LocaleBundle.SHIFT, "Shift_fr"},
	{LocaleBundle.CTRL, "Ctrl_fr"},
	{LocaleBundle.ALT, "Alt_fr"},
	{LocaleBundle.META, "Meta_fr"},
	{LocaleBundle.MODIFIER, "Modifier_fr"},

	{LocaleBundle.LEFT, "left_fr"},
	{LocaleBundle.CENTER, "center_fr"},
	{LocaleBundle.RIGHT, "right_fr"},
	{LocaleBundle.LEADING, "leading_fr"},
	{LocaleBundle.TRAILING, "trailing_fr"},

	{LocaleBundle.TOP, "top_fr"},
	{LocaleBundle.BOTTOM, "bottom_fr"},

	{LocaleBundle.SOLID, "solid_fr"},
	{LocaleBundle.PER_25, "25 percent_fr"},
	{LocaleBundle.PER_50, "50 percent_fr"},
	{LocaleBundle.PER_75, "75 percent_fr"},
	{LocaleBundle.HORIZ_STRIPE, "horizontal stripe_fr"},
	{LocaleBundle.VERT_STRIPE, "vertical stripe_fr"},
	{LocaleBundle.STRIPE_45, "45 degree stripe_fr"},
	{LocaleBundle.STRIPE_135, "135 degree stripe_fr"},
	{LocaleBundle.DIAG_HATCHED, "diagonal hatched_fr"},
	{LocaleBundle.CROSS_HATCHED, "cross hatched_fr"},
	{LocaleBundle.CUSTOM_FILL, "custom fill_fr"},
	{LocaleBundle.CUSTOM_STACK, "custom stack_fr"},

	{LocaleBundle.LONG_DASH, "long dash_fr"},
	{LocaleBundle.SHORT_DASH, "short dash_fr"},
	{LocaleBundle.LSL_DASH, "long-short-long dash_fr"},
	{LocaleBundle.DASH_DOT, "dash dot_fr"},

	{LocaleBundle.MITER, "miter_fr"},
	{LocaleBundle.BEVEL, "bevel_fr"},
	{LocaleBundle.ROUND, "round_fr"},

	{LocaleBundle.BUTT, "butt_fr"},
	{LocaleBundle.SQUARE, "square_fr"},

	{LocaleBundle.DOT, "dot_fr"},
	{LocaleBundle.BOX, "box_fr"},
	{LocaleBundle.TRIANGLE, "triangle_fr"},
	{LocaleBundle.DIAMOND, "diamond_fr"},
	{LocaleBundle.STAR, "star_fr"},
	{LocaleBundle.VERT_LINE, "vertical line_fr"},
	{LocaleBundle.HORIZ_LINE, "horizontal line_fr"},
	{LocaleBundle.CROSS, "cross_fr"},
	{LocaleBundle.CIRCLE, "circle_fr"},
	{LocaleBundle.RECTANGLE, "rectangle_fr"},
	{LocaleBundle.SPHERE, "sphere_fr"},
	{LocaleBundle.CONE, "cone_fr"},
	{LocaleBundle.CUBE, "cube_fr"},
	{LocaleBundle.CYLINDER, "cylinder_fr" },
	{LocaleBundle.POINT, "point_fr"},
	{LocaleBundle.TETRAHEDRON, "tetrahedron_fr"}


};

protected Object[][] getContents() {
    return strings;
}

}
