/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: Cone.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:08 $  $Locker:  $  Quest Software Inc.

//  Cone.java

package com.klg.jclass.chart3d.shape3d;

import com.sun.j3d.utils.universe.*;
import com.sun.j3d.utils.geometry.*;
import javax.media.j3d.*;
import javax.vecmath.*;

import com.klg.jclass.chart3d.resources.LocaleBundle;

public class Cone extends com.klg.jclass.chart3d.shape.Triangle implements JCSymbolShape3d {

/**
 * Return a localized name for this shape
 * @return The name of this shape
 */
public String getName()
{
	return(LocaleBundle.string(LocaleBundle.CONE));
}


public Shape3D getSymbolShape() {
	com.sun.j3d.utils.geometry.Cone cone = new com.sun.j3d.utils.geometry.Cone();
	Shape3D shape = cone.getShape(com.sun.j3d.utils.geometry.Cone.CAP);
	shape.addGeometry(cone.getShape(com.sun.j3d.utils.geometry.Cone.BODY).getGeometry());
	return ((Shape3D)shape.cloneNode(true));
}

}
