/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:13 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.util.resources;

import java.util.ListResourceBundle;

import com.klg.jclass.datasource.util.LocaleBundle;

public class LocaleInfo extends ListResourceBundle {

    static final Object[][] strings = {
//LOCALIZE THIS
        { LocaleBundle.defaultErrorDialogOkText     , "OK"},
        { LocaleBundle.CANCEL_ALL                   , "Cancel All"},
        { LocaleBundle.CANCEL_ROW                   , "Cancel Record"},
        { LocaleBundle.COMMIT_ALL                   , "Save All"},
        { LocaleBundle.COMMIT_ROW                   , "Save Record"},
        { LocaleBundle.DELETE_ROW                   , "Delete Record"},
        { LocaleBundle.DELETE_ROW_TIP               , "Delete current record"},
        { LocaleBundle.FIRST_ROW                    , "Go to first record"},
        { LocaleBundle.GO_TO                        , "Go To..."},
        { LocaleBundle.INSERT_ROW                   , "Insert Record"},
        { LocaleBundle.INSERT_ROW_TIP               , "Insert record"},
        { LocaleBundle.INVALID_FORMAT               , "Invalid data format: "},
        { LocaleBundle.INVALID_IMAGE                , "The column data cannot be converted into an image."},
        { LocaleBundle.LAST_ROW_TIP                 , "Go to last record"},
        { LocaleBundle.POPUP_MENU_TIP               , "Show pop-up menu"},
        { LocaleBundle.PREVIOUS_ROW_TIP             , "Go to previous record"},
        { LocaleBundle.NEXT_ROW_TIP                 , "Go to next record"},
        { LocaleBundle.NO_RECORDS                   , "no records"},
        { LocaleBundle.NOT_AVAILABLE                , "not available"},
        { LocaleBundle.NOT_BOUND                    , "Not bound"},
        { LocaleBundle.RECORD_OF_TOTAL              , "{0,number,integer} of {1,number,integer}"},
        { LocaleBundle.RECORD_OF_TOTAL_STATUS       , "{0,number,integer}* of {1,number,integer}"},
        { LocaleBundle.RECORDS                      , " records"},
        { LocaleBundle.REQUERY_ALL                  , "Requery All"},
        { LocaleBundle.REQUERY_ROW_AND              , "Requery Record and Details"},
//END OF MATERIAL TO LOCALIZE
    };


    public Object[][] getContents() {
        return strings;
    }

}
