/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCComboFieldBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:14 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.field;

import com.klg.jclass.beans.*;

/**
 * This is the Bean info class for <code>JCComboField</code>.  It specifies the
 * properties and events.
 */
public class JCComboFieldBeanInfo extends FieldBeanInfo {
	
protected static final String PICKLIST = "PickList";

protected static final JCPropertyDescriptor properties[] = {
	new JCPropertyDescriptor(PICKLIST,"com.klg.jclass.field.beans.ListModelEditor"),

};

protected static final String icons[] = {
	"resources/icons16/JCComboField.gif",
	"resources/icons16/JCComboField.gif",
	"resources/icons32/JCComboField.gif",
	"resources/icons32/JCComboField.gif"
};

public JCComboFieldBeanInfo() {
	super(properties, null, null, icons);
}
}





