/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JBdbSpinFieldBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:16 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.field.db.jbuilder;

import com.klg.jclass.field.FieldBeanInfo;
import com.klg.jclass.beans.*;

/**
 * This is the bean info class for JBdbSpinField.  It specifies the
 * properties and events.
 */
public class JBdbSpinFieldBeanInfo extends FieldBeanInfo {

public static final String DATA_SET = "dataSet";
public static final String COLUMN_NAME = "columnName";

protected static final JCPropertyDescriptor properties[] = {
	new JCPropertyDescriptor(DATA_SET, ""),
	new JCPropertyDescriptor(COLUMN_NAME, ""),
};
    
protected static final String icons[] = {
	"/com/klg/jclass/field/db/resources/icons16/dbSpinField.gif",
	"/com/klg/jclass/field/db/resources/icons16/dbSpinField.gif",
	"/com/klg/jclass/field/db/resources/icons32/dbSpinField.gif",
	"/com/klg/jclass/field/db/resources/icons32/dbSpinField.gif"
};
    
public JBdbSpinFieldBeanInfo() {
	super(properties, null, null, icons);
}

}





