/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:21 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid.resources;

import java.util.ListResourceBundle;

import com.klg.jclass.higrid.LocaleBundle;

public class LocaleInfo extends ListResourceBundle {

static final Object[][] strings = {
//LOCALIZE THIS
    { LocaleBundle.about,                       "About JClass HiGrid"},
    { LocaleBundle.adviseClearAllFormatsTitle,  "Advise Clear All Formats"},
    { LocaleBundle.adviseClearAllFormatsMessage, "HiGrid has detected that not all levels are in sync. \nClear Formats for All Levels to re-sync."},
    { LocaleBundle.after_details,               "After Details"},
    { LocaleBundle.aggregateType,               "Aggregate Type"},
    { LocaleBundle.AGGREGATE_TYPE_NONE,         "None"},
    { LocaleBundle.AGGREGATE_TYPE_COUNT,        "Count"},
    { LocaleBundle.AGGREGATE_TYPE_SUM,          "Sum"},
    { LocaleBundle.AGGREGATE_TYPE_AVERAGE,      "Average"},
    { LocaleBundle.AGGREGATE_TYPE_MIN,          "Min"},
    { LocaleBundle.AGGREGATE_TYPE_MAX,          "Max"},
    { LocaleBundle.AGGREGATE_TYPE_FIRST,        "First"},
    { LocaleBundle.AGGREGATE_TYPE_LAST,         "Last"},
    { LocaleBundle.all_levels,                  "All Levels"},
    { LocaleBundle.allow_height_resizing,       "Allow Height Sizing"},
    { LocaleBundle.allow_popup_menu,            "Allow Popup Menu"},
    { LocaleBundle.allow_row_selection,         "Allow Row Selection"},
    { LocaleBundle.allow_sorting,               "Allow Sorting"},
    { LocaleBundle.allowWidthSizing,            "Allow Width Sizing"},
    { LocaleBundle.append,                      "Append"},
    { LocaleBundle.apply_format_at_design_time, "Apply Format at Design-time"},
    { LocaleBundle.autoTraverse,                "Auto Traverse"},
    { LocaleBundle.AUTO_TRAVERSE_NONE,          "AUTO_TRAVERSE_NONE"},
    { LocaleBundle.AUTO_TRAVERSE_EXPAND,        "AUTO_TRAVERSE_EXPAND"},
    { LocaleBundle.AUTO_TRAVERSE_DETECT_CHILDREN, "AUTO_TRAVERSE_DETECT_CHILDREN"},
    { LocaleBundle.AUTO_TRAVERSE_CALLBACK,      "AUTO_TRAVERSE_CALLBACK"},
    { LocaleBundle.backgroundColor,             "Background Color"},
    { LocaleBundle.batched,                     "Batched"},
    { LocaleBundle.beep_on_invalid,             "Beep On Invalid"},
    { LocaleBundle.before_details,              "Before Details"},
    { LocaleBundle.border,                      "Border"},
    { LocaleBundle.border_insets,               "Border Insets"},
    { LocaleBundle.border_style,                "Border Style"},
    { LocaleBundle.BOTTOM,                      "Bottom"},
    { LocaleBundle.buttonOk,                    "OK"},
    { LocaleBundle.buttonCancel,                "Cancel"},
    { LocaleBundle.cancel,                      "Cancel"},
    { LocaleBundle.cancelCurrent,               "Current"},
    { LocaleBundle.cancelSelected,              "Selected"},
    { LocaleBundle.cancelAll,                   "All"},
    { LocaleBundle.cell,                        "Cell"},
    { LocaleBundle.cellAdd,                     "Add"},
    { LocaleBundle.cellClear,                   "Clear"},
    { LocaleBundle.cellDelete,                  "Delete"},
    { LocaleBundle.cellFormatShowing,           "Showing"},
    { LocaleBundle.cellSummaryColumn,           "Summary"},
    { LocaleBundle.CENTER,                      "Center"},
    { LocaleBundle.choiceStringNone,            "(None)"},
    { LocaleBundle.clear_format,                "Clear Format"},
    { LocaleBundle.clipHints,                   "Clip Hints"},
    { LocaleBundle.clipHintsShowAll,            "Show All"},
    { LocaleBundle.clipHintsShowHorizontal,     "Show Horizontal"},
    { LocaleBundle.clipHintsShowNone,           "Show None"},
    { LocaleBundle.clipHintsShowVertical,       "Show Vertical"},
    { LocaleBundle.columnChooser,               "Select A Column"},
    { LocaleBundle.collapseParent,              "Collapse Parent"},
    { LocaleBundle.color,                       "Color"},
    { LocaleBundle.colorEditorRGB,              "  (R, G, B)"},
    { LocaleBundle.connections_visible,         "Connections Visible"},
    { LocaleBundle.COLUMN_TYPE_LABEL,           "Label"},
    { LocaleBundle.COLUMN_TYPE_DATASOURCE,      "DataSource"},
    { LocaleBundle.COLUMN_TYPE_AGGREGATE,       "Aggregate"},
    { LocaleBundle.COLUMN_TYPE_UNBOUND,         "Unbound"},
    { LocaleBundle.CONTROL_IN,                  "CONTROL_IN"},
    { LocaleBundle.CONTROL_OUT,                 "CONTROL_OUT"},
    { LocaleBundle.current_level,               "Current Level"},
    { LocaleBundle.data_model,                  "Data Model"},
    { LocaleBundle.dataType,                    "Data Type"},
    { LocaleBundle.datasourceColumn,            "Column"},
    { LocaleBundle.datasourceTable,             "Table"},
    { LocaleBundle.defaultErrorDialogTitle,     "Error"},
    { LocaleBundle.defaultSortData,             "Default Sort Data"},
    { LocaleBundle.delete,                      "Delete"},
    { LocaleBundle.deleteCurrent,               "Current"},
    { LocaleBundle.deleteSelected,              "Selected"},
    { LocaleBundle.details,                     "Details"},
    { LocaleBundle.DISPLAY_ALWAYS,              "DISPLAY_ALWAYS"},
    { LocaleBundle.DISPLAY_AS_NEEDED,           "DISPLAY_AS_NEEDED"},
    { LocaleBundle.DISPLAY_NEVER,               "DISPLAY_NEVER"},
    { LocaleBundle.edit,                        "Edit"},
    { LocaleBundle.editStatusIndicator,         "Edit Status"},
    { LocaleBundle.edit_status_width,           "Edit Status Width"},
    { LocaleBundle.editable,                    "Editable"},
    { LocaleBundle.editorHidden,                "EditorHidden"},
    { LocaleBundle.editHeightPolicy,            "Edit Height Policy"},
    { LocaleBundle.editor,                      "Editor"},
    { LocaleBundle.editorSelectAll,             "Select All"},
    { LocaleBundle.editWidthPolicy,             "Edit Width Policy"},
    { LocaleBundle.EDIT_SIZE_TO_CELL,           "Size to cell"},
    { LocaleBundle.EDIT_ENSURE_MINIMUM_SIZE,    "Ensure minimum size"},
    { LocaleBundle.EDIT_ENSURE_PREFERRED_SIZE,  "Ensure preferred size"},
    { LocaleBundle.ETCHED_IN,                   "ETCHED_IN"},
    { LocaleBundle.ETCHED_OUT,                  "ETCHED_OUT"},
    { LocaleBundle.external,                    "External DataSource"},
    { LocaleBundle.failed_to_deserialize,       "Failed to deserialize"},
    { LocaleBundle.failed_to_deserialize_incorrect_format, "Failed to deserialize due to incorrect file format "},
    { LocaleBundle.failed_to_get_a_list_of_tables, "Failed to get a list of tables"},
    { LocaleBundle.failed_to_load_file_not_found, "Failed to load because file not found"},
    { LocaleBundle.failed_to_save_file_not_found, "Failed to save because file not found"},
    { LocaleBundle.failed_to_serialize,         "Failed to serialize"},
    { LocaleBundle.folder_icon_style,           "Folder Icon Style"},
    { LocaleBundle.FOLDER_ICON_STYLE_SHORTCUT,  "FOLDER_ICON_STYLE_SHORTCUT"},
    { LocaleBundle.FOLDER_ICON_STYLE_FOLDER,    "FOLDER_ICON_STYLE_FOLDER"},
    { LocaleBundle.FOLDER_ICON_STYLE_TRIANGLE,  "FOLDER_ICON_STYLE_TRIANGLE"},
    { LocaleBundle.FOLDER_ICON_STYLE_SMALL_LINE_3D, "FOLDER_ICON_STYLE_SMALL_LINE_3D"},
    { LocaleBundle.FOLDER_ICON_STYLE_MEDIUM_LINE_3D,"FOLDER_ICON_STYLE_MEDIUM_LINE_3D"},
    { LocaleBundle.FOLDER_ICON_STYLE_LARGE_LINE_3D, "FOLDER_ICON_STYLE_LARGE_LINE_3D"},
    { LocaleBundle.foregroundColor,             "Foreground Color"},
    { LocaleBundle.FRAME_IN,                    "FRAME_IN"},
    { LocaleBundle.FRAME_OUT,                   "FRAME_OUT"},
    { LocaleBundle.font,                        "Font"},
    { LocaleBundle.footer,                      "Footer"},
    { LocaleBundle.general,                     "General"},
    { LocaleBundle.header,                      "Header"},
    { LocaleBundle.headerText,                  "Text"},
    { LocaleBundle.height,                      "Height"},
    { LocaleBundle.horizontalAlignment,         "Horizontal Alignment"},
    { LocaleBundle.horizontal_scrollbar_display,"Horizontal Scrollbar Display"},
    { LocaleBundle.IN,                          "IN"},
    { LocaleBundle.insert,                      "Insert"},
    { LocaleBundle.insets,                      "Insets"},
    { LocaleBundle.internal,                    "Internal DataSource"},
    { LocaleBundle.JCHiGrid,                    "JCHiGrid"},
    { LocaleBundle.JCHiGridExternalDS,          "JCHiGridExternalDS"},
    { LocaleBundle.jclass_beans_old_ver,        "com.klg.jclass.beans is out of date (predates JCVersion)"},
    { LocaleBundle.jclass_beans_out_of_date,    "com.klg.jclass.beans is out of date: "},
    { LocaleBundle.jclass_base_old_ver,         "com.klg.jclass.base is out of date (predates JCVersion)"},
    { LocaleBundle.jclass_base_out_of_date,     "com.klg.jclass.base is out of date: "},
    { LocaleBundle.jclass_util_old_ver,         "com.klg.jclass.util is out of date (predates JCVersion)"},
    { LocaleBundle.jclass_util_out_of_date,     "com.klg.jclass.util is out of date: "},
    { LocaleBundle.LEFT,                        "Left"},
    { LocaleBundle.level,                       "Level"},
    { LocaleBundle.levelIndented,               "Level Indented"},
    { LocaleBundle.marginInsets,                "Margin Insets"},
    { LocaleBundle.MIXED_BORDER_STYLES,         "MIXED_STYLES"},
    { LocaleBundle.mixedCellColors,             "Mixed Colors"},
    { LocaleBundle.mixedCellFonts,              "Mixed"},
    { LocaleBundle.moveToGridRecord,            "Move To Grid Record"},
    { LocaleBundle.moveToGridRecordFirst,       "First"},
    { LocaleBundle.moveToGridRecordLast,        "Last"},
    { LocaleBundle.moveToGridRecordNext,        "Next"},
    { LocaleBundle.moveToGridRecordPrevious,    "Previous"},
    { LocaleBundle.moveToTableRecord,           "Move To Table Record"},
    { LocaleBundle.moveToTableRecordFirst,      "First"},
    { LocaleBundle.moveToTableRecordLast,       "Last"},
    { LocaleBundle.moveToTableRecordNext,       "Next"},
    { LocaleBundle.moveToTableRecordPrevious,   "Previous"},
    { LocaleBundle.moveToParent,                "Move To Parent"},
    { LocaleBundle.nodeIndicatorFgColor,        "Connections Foreground Color"},
    { LocaleBundle.nodeWidth,                   "Level Indent"},
    { LocaleBundle.noEditorClassSupplied,       "No editor class supplied."},
    { LocaleBundle.noRendererClassSupplied,     "No renderer class supplied."},
    { LocaleBundle.NONE,                        "NONE"},
    { LocaleBundle.OUT,                         "OUT"},
    { LocaleBundle.PLAIN,                       "PLAIN"},
    { LocaleBundle.print,                       "Print"},
    { LocaleBundle.print_format,                "Print Format"},
    { LocaleBundle.print_folders_and_connections, "Print Folders And Connections"},
    { LocaleBundle.printAsDisplayed,            "As Displayed..."},
    { LocaleBundle.printAsExpanded,             "As Expanded..."},
    { LocaleBundle.printExpandAll,              "Expand All..."},
    { LocaleBundle.PRINT_AS_DISPLAYED,          "PRINT_AS_DISPLAYED"},
    { LocaleBundle.PRINT_AS_EXPANDED,           "PRINT_AS_EXPANDED"},
    { LocaleBundle.PRINT_EXPAND_ALL,            "PRINT_EXPAND_ALL"},
    { LocaleBundle.printPreview,                "Print Preview"},
    { LocaleBundle.printPreviewAsDisplayed,     "As Displayed..."},
    { LocaleBundle.printPreviewAsExpanded,      "As Expanded..."},
    { LocaleBundle.printPreviewExpandAll,       "Expand All..."},
    { LocaleBundle.printPreviewClose,           "Close"},
    { LocaleBundle.printPreviewFirst,           "First"},
    { LocaleBundle.printPreviewLast,            "Last"},
    { LocaleBundle.printPreviewNext,            "Next"},
    { LocaleBundle.printPreviewPrevious,        "Previous"},
    { LocaleBundle.printPreviewPageFormat,      "Page Format"},
    { LocaleBundle.printPreviewPrint,           "Print Pages"},
    { LocaleBundle.printPreviewPrintAll,        "Print All"},
    { LocaleBundle.printTextPage,               "Page"},
    { LocaleBundle.printTextOf,                 "of"},
    { LocaleBundle.record,                      "Record"},
    { LocaleBundle.renderer,                    "Renderer"},
    { LocaleBundle.repeat_header,               "Repeat Header"},
    { LocaleBundle.requery,                     "Requery"},
    { LocaleBundle.requeryAll,                  "All"},
    { LocaleBundle.requeryRecord,               "Record"},
    { LocaleBundle.requeryRecordAndDetails,     "Record and Details"},
    { LocaleBundle.requerySelected,             "Selected"},
    { LocaleBundle.requerySelectedAndDetails,   "Selected and Details"},
    { LocaleBundle.requeryTable,                "Table"},
    { LocaleBundle.retrieve_fields,             "Retrieve Fields"},
    { LocaleBundle.RIGHT,                       "Right"},
    { LocaleBundle.rowtip_visible,              "Rowtip Visible"},
    { LocaleBundle.row_selection_mode,          "Row Selection Mode"},
    { LocaleBundle.ROW_SELECT_ANY,              "ROW_SELECT_ANY"},
    { LocaleBundle.ROW_SELECT_IN_SAME_LEVEL,    "ROW_SELECT_IN_SAME_LEVEL"},
    { LocaleBundle.ROW_SELECT_IN_SAME_TABLE,    "ROW_SELECT_IN_SAME_TABLE"},
    { LocaleBundle.sections,                     "Sections"},
    { LocaleBundle.select,                      "Select"},
    { LocaleBundle.selectAll,                   "All"},
    { LocaleBundle.selectAllSameLevel,          "All In Same Level"},
    { LocaleBundle.selectAllSameTable,          "All In Same Table"},
    { LocaleBundle.selectCurrent,               "Current"},
    { LocaleBundle.selectedBackgroundColor,     "Selected Background Color"},
    { LocaleBundle.selectedForegroundColor,     "Selected Foreground Color"},
    { LocaleBundle.show,                        "Show"},
    { LocaleBundle.sort_icons_visible,          "Sort Icons Visible"},
    { LocaleBundle.sortDataColumn,              "Column"},
    { LocaleBundle.sortDataColumnNone,          "None"},
    { LocaleBundle.sortDataDirection,           "Direction"},
    { LocaleBundle.sortDataDirectionAscending,  "Ascending"},
    { LocaleBundle.sortDataDirectionDescending, "Descending"},
    { LocaleBundle.sortDataDirectionNone,       "None"},
    { LocaleBundle.source,                      "DataSource"},
    { LocaleBundle.style,                       "Style"},
    { LocaleBundle.summaryColumnType,           "Column Type"},
    { LocaleBundle.tableChooser,                "Select A Table"},
    { LocaleBundle.tips,                        "Tips"},
    { LocaleBundle.tipsKeyboard,                "Keyboard"},
    { LocaleBundle.tipsMenu,                    "Menu"},
    { LocaleBundle.tipsMouse,                   "Mouse"},
    { LocaleBundle.tipsKeyboardText,            "<BODY BGCOLOR=#FFFFE1>"+
        "<CENTER><B><FONT COLOR=#FF0000>Keyboard Tips</FONT></B></CENTER>"+
        "<ul>"+
        "<li><B>Alt+Page Up</B> - Scroll horizontally left if the width of the grid is larger than the width of its window.</li>"+
        "<li><B>Alt+Page Down</B> - Scroll horizontally right if the width of the grid is larger than the width of its window.</li>"+
        "<li><B>Ctrl+Home</B> - Move to the first cell in the grid.</li>"+
        "<li><B>Ctrl+End</B> - Move to the last cell in the grid.</li>"+
        "<li><B>Ctrl+Number Pad Plus (+)</B> - Expand the current row to make the detail levels visible.</li>"+
        "<li><B>Ctrl+Number Pad Minus (-)</B> - Hide the detail levels by collapsing them.</li>"+
        "<li><B>Enter</B> - If pressed after an edit, the current row is marked as changed if the cell's value changed.</li>"+
        "<li><B>Esc</B> - Cancel the current edit and return to the last updated value.</li>"+
        "<li><B>Home</B> - Move to the beginning of a row.</li>"+
        "<li><B>End</B> - Move to the end of a row.</li>"+
        "<li><B>Page Up</B> - Move to the corresponding cell on the previous page.</li>"+
        "<li><B>Page Down</B> - Move to the corresponding cell on the next page.</li>"+
        "<li><B>Tab</B> - Move forward one cell. Wraps from one row to the next row.</li>"+
        "<li><B>Shift+Tab</B> - Move backward one cell. Wraps from one row to the prior row.</li>"+
        "</ul>"+"</BODY>"
        },
    { LocaleBundle.tipsMenuText,               "<BODY BGCOLOR=#FFFFE1>"+
        "<CENTER><B><FONT COLOR=#FF0000>Popup Menu Tips</FONT></B></CENTER>"+
        "<P>The popup menu contains the choices listed below. (The bracketed items are "+
        "the sub-choices for each choice.)</li>"+
        "<li><B>Insert (List of Table Names)</B> - Insert a new row at the level specified by the table name.</li>"+
        "<li><B>Delete (Current or Selected)</B> - Delete the current or selected row(s).</li>"+
        "<li><B>Cancel (Current, Selected, All)</B> - Cancel uncommitted changes to the specified row or rows.</li>"+
        "<li><B>Requery (Record, Record and Details, Selected, Selected and Details, All)</B> - Refresh the grid's values by requerying "+
        "the database.</li>"+
        "<li><B>Update (Current, Selected, All)</B> - Commit changes (deletes/inserts/updates).</li>"+
        "<li><B>Select (Current, All In Same Level, All In Same Table, All)</B> - Select rows in the grid.</li>"+
        "<li><B>Print (As Displayed..., As Expanded..., Expand All)</B> - Print the exposed levels or all the levels.</li>"+
        "<li><B>Print Preview (As Displayed..., As Expanded..., Expand All)</B> - Invoke the printer driver window. After selecting a printer, show a "+
        "print preview on the screen rather than actually printing.</li>"+
        "<li><B>Move To Grid Record (First, Previous, Next, Last)</B> - If First (or Last) is chosen, focus is transferred to the first "+
        "cell of the first (or last) cell in the grid. A row in a collapsed table cannot be a target of a Last operation, instead, the "+
        "last row of the last open table is the target. If Previous (or Next) is selected, the motion will preserve the "+
        "column that holds the current cell.</li>"+
        "<li><B>Move To Table Record (First, Previous, Next, Last)</B> - Similar to the above, except that motion is restricted to the "+
        "table that initially holds the current cell.</li>"+
        "<li><B>Move To Parent</B> - Move to the first cell of the parent row for the table containing the current cell.</li>"+
        "<li><B>Collapse Parent</B> - Hide the level containing the current cell. The new current cell is the first one of the parent row.</li>"+
        "<li><B>Tips (Keyboard, Mouse, Menu)</B> - Display tips window (like this one).</li>"+
        "</ul>"+"</BODY>"
        },
    { LocaleBundle.tipsMouseText,               "<BODY BGCOLOR=#FFFFE1>"+
        "<CENTER><B><FONT COLOR=#FF0000>Mouse Tips</FONT></B></CENTER>"+
        "<P>HiGrid supports most of the standard mouse actions. The following list describes mouse actions in the Windows "+
        "environment.</P>"+
        "<ul>"+
        "<li><B>Left-Click on a header cell</B> - Sort that table by the specified cell.</li>"+
        "<li><B>Shift+Left-Click on a header cell</B> - Sort that table by the specified cell and make it the default for all tables of that type.</li>"+
        "<li><B>Left-Click on a header cell and drag</B> - Move the column to a new position.</li>"+
        "<li><B>Left-Click on a header edge and drag</B> - Resize the column to a new size.</li>"+
        "<li><B>Shift+Left-Click on a header edge and drag</B> - Resize all the columns of a table to the same new size.</li>"+
        "<li><B>Left-Click on a row edge and drag</B> - Resize the row to a new size.</li>"+
        "<li><B>Left-Click on a record cell</B> - Select that cell for editing. If the cell contains an image, show it full size.</li>"+
        "<li><B>Left-Click on + expander button</B> "+
        "- Expand the table by making sub-tables associated with that row visible.</li>"+
        "<li><B>Left-Click on a - expander button</B> "+
        "- Collapse the sub-tables associated with that row by hiding the rows.</li>"+
        "<li><B>Ctrl+Left-Click</B> - Selects the row. Multiple rows may be selected by repeating the operation on rows that need not be adjacent.</li>"+
        "<li><B>Shift+Left-Click</B> - After selecting a row with Ctrl+Left-Click, "+
        "this action selects all intervening rows between and including the first chosen and the one on which the shift-click "+
        "occurred. The action can be used to select a parent and all its children, so long as these tables have been expanded.</li>"+
        "<li><B>Right-Click on a selected cell</B> - (Windows only) When the button is released, shows a popup menu containing the "+
        "editing choices Undo, Cut, Copy, Paste, Delete, and Select All.</li>"+
        "<li><B>Right-Click anywhere else</B> - Shows a popup menu.</li>"+
        "</ul>"+"</BODY>"
        },
    { LocaleBundle.tips_on_customizer,
        "After setting GridProperties properties for the first time, \nsave the information to a serialization file using the \"Save As ...\" button \non the \"Serialization\" page of the  Property Editor/Customizer.  This file's \nextension must be \".ser\" and it can be packaged in a jar file \nthat is accessible via the CLASSPATH environment variable.  \n  \nThe serialization file must reside in the same path of the class that uses \nthe JCHiGrid. For example, if your CLASSPATH is set to c:\\temp and \nan applet is located at c:\\temp\\jclass\\higrid\\, \nthe serialization file must be in c:\\temp\\jclass\\higrid\\.  \n  \nThe serialization file is updated every time you change a value using \nthe GridProperties Property Editor/Customizer.\n \n"},
    { LocaleBundle.tips_on_customizer2,
        "Once you have saved it, the JCHiGrid is refreshed every time \nyou make a design-time change using an IDE."},
    { LocaleBundle.title_tips_on_customizer,    "Tips on GridProperties Property Editor/Customizer"},
    { LocaleBundle.TOP,                         "Top"},
    { LocaleBundle.TOP,                         "Top"},
    { LocaleBundle.TYPE_BIG_DECIMAL,            "Big Decimal"},
    { LocaleBundle.TYPE_BOOLEAN,                "Boolean"},
    { LocaleBundle.TYPE_BYTE,                   "Byte"},
    { LocaleBundle.TYPE_BYTE_ARRAY,             "Byte Array"},
    { LocaleBundle.TYPE_DOUBLE,                 "Double"},
    { LocaleBundle.TYPE_FLOAT,                  "Float"},
    { LocaleBundle.TYPE_INTEGER,                "Integer"},
    { LocaleBundle.TYPE_LONG,                   "Long"},
    { LocaleBundle.TYPE_OBJECT,                 "Object"},
    { LocaleBundle.TYPE_SHORT,                  "Short"},
    { LocaleBundle.TYPE_SQL_DATE,               "SQL Date"},
    { LocaleBundle.TYPE_SQL_TIME,               "SQL Time"},
    { LocaleBundle.TYPE_SQL_TIMESTAMP,          "SQL Timestamp"},
    { LocaleBundle.TYPE_STRING,                 "String"},
    { LocaleBundle.TYPE_UTIL_DATE,              "Util Date"},
    { LocaleBundle.unboundClass,                "Unbound Class"},
    { LocaleBundle.update,                      "Update"},
    { LocaleBundle.updateAll,                   "All"},
    { LocaleBundle.updateCurrent,               "Current"},
    { LocaleBundle.updateSelected,              "Selected"},
    { LocaleBundle.valueType,                   "Value Type"},
    { LocaleBundle.verticalAlignment,           "Vertical Alignment"},
    { LocaleBundle.vertical_scrollbar_display,  "Vertical Scrollbar Display"},
    { LocaleBundle.visible,                     "Visible"},
    { LocaleBundle.width,                       "Width"},
    { LocaleBundle.wrongDataSourceType,         "Wrong Internal/External DataSource"},
//END OF MATERIAL TO LOCALIZE
};

public Object[][] getContents() {
    return strings;
}

}
