/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: FontMetricsBase.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:22 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.page;

import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Graphics;
import java.text.CharacterIterator;




import java.awt.geom.Rectangle2D;


/**
 * The FontMetricsBase class supplies FontMetrics methods which are missing
 * in the JDK1.1 version of FontMetrics.
 */
 // This class is part of the Java 1.1 compatibility package
 // which replaces Java 1.2 classes and methods which are
 // missing in Java 1.1.

public class FontMetricsBase extends FontMetrics {

public FontMetricsBase(Font f) {
	super(f);
}

public static Rectangle2D getStringBounds(FontMetrics fm, String text,
										  Graphics gc) {

	


	
	return(fm.getStringBounds(text, gc));

}





}
