/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:27 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.page.resources;

import com.klg.jclass.page.resources.LocaleBundle;

import java.util.ListResourceBundle;
import java.io.Serializable;

public class LocaleInfo extends ListResourceBundle implements Serializable {

static final Object[][] strings = {
// LOCALIZE THIS

    { LocaleBundle.ERROR_LOADING_STOCK_ADOBE,
          "Warning: Error loading stock Adobe fonts"},
    { LocaleBundle.ERROR_LOADING_AFM, "Warning: Error loading afm file "},
    { LocaleBundle.ERROR_LOADING_TTF, "Warning: Error loading ttf file "},
    { LocaleBundle.ERROR_LOADING_MAP, "Warning: Error loading font name map file "},
    { LocaleBundle.EXCEPTION_FOLLOWS, " -- caught exception follows"},
    { LocaleBundle.EXCEPTION_COLON, "Exception:"},

    { LocaleBundle.NO_UNICODE_CMAP,
        "Warning: Font " + LocaleBundle.FILE_NAME_HOLDER + " does not have Unicode CMap"},
    { LocaleBundle.INVALID_TTF, "Warning: Invalid TrueType data"},

// END OF MATERIAL TO LOCALIZE
};

public Object[][] getContents()
{
  return(strings);
}

}
