/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DefaultTreeTableSelectionModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:27 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.swing;

import com.klg.jclass.util.JCEnvironment;

import javax.swing.*;
import javax.swing.tree.DefaultTreeSelectionModel;

/**
 * Implements JCTreeTableSelectionModel to return the list selection model.
 */
public class DefaultTreeTableSelectionModel extends DefaultTreeSelectionModel
			                                implements JCTreeTableSelectionModel
{

public DefaultTreeTableSelectionModel()
{
    int value = JCEnvironment.isWorking(JCEnvironment.FOCUS_RECT_IN_JTABLE);
    if (value != JCEnvironment.WORKING_YES) {
        listSelectionModel = new JCDefaultListSelectionModel();
    }
}

/**
 * Get the list selection model of the DefaultTreeSelectionModel implementation
 *
 * @return The list selection model of the DefaultTreeSelectionModel
 *     implementation
 */
public ListSelectionModel getListSelectionModel()
{
    return(listSelectionModel);
}

}

