/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCCircularGaugeBeanBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:31 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.swing.gauge.beans;

import com.klg.jclass.beans.JCBeanInfo;
import com.klg.jclass.beans.JCPropertyDescriptor;
import com.klg.jclass.beans.JCEventSetDescriptor;
import com.klg.jclass.swing.gauge.beans.resources.LocaleBundle;

/**
 */
public class JCCircularGaugeBeanBeanInfo extends JCBeanInfo {

protected static final JCPropertyDescriptor properties[] = {


 

    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.ABOUT),
    							LocaleBundle.string(LocaleBundle.ABOUT),
                                "about",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                "com.klg.jclass.swing.gauge.beans.AboutEditor"),

	// Needle style property
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.NEEDLE_STYLE),
    							LocaleBundle.string(LocaleBundle.NEEDLE_STYLE),
                                "needleStyle",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                "com.klg.jclass.swing.gauge.beans.CircularNeedleStyleEditor"),

	// Auto tick generation property
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.AUTO_TICK_GENERATION),
    							LocaleBundle.string(LocaleBundle.AUTO_TICK_GENERATION),
                                "autoTickGeneration",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),

    // center color property
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.CENTER_COLOR),
    							LocaleBundle.string(LocaleBundle.CENTER_COLOR),
                                "centerColor",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),


	// center radius property
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.CENTER_RADIUS),
    							LocaleBundle.string(LocaleBundle.CENTER_RADIUS),
                                "centerRadius",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),

    // tick labels
	new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.DRAW_TICK_LABELS),
    							LocaleBundle.string(LocaleBundle.DRAW_TICK_LABELS),
                                "drawTickLabels",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),


    // draw tick marks
	new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.DRAW_TICK_MARKS),
    							LocaleBundle.string(LocaleBundle.DRAW_TICK_MARKS),
                                "drawTickMarks",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),

    // tick font
   	new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.TICK_FONT),
    							LocaleBundle.string(LocaleBundle.TICK_FONT),
                                "tickFont",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),


    // needle interaction type
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.NEEDLE_INTERACTION_TYPE),
    							LocaleBundle.string(LocaleBundle.NEEDLE_INTERACTION_TYPE),
                                "needleInteractionType",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                "com.klg.jclass.swing.gauge.beans.CircularNeedleInteractionEditor"),

    // needle value
   	new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.NEEDLE_VALUE),
    							LocaleBundle.string(LocaleBundle.NEEDLE_VALUE),
                                "needleValue",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),

    // needle length
   	new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.NEEDLE_LENGTH),
    							LocaleBundle.string(LocaleBundle.NEEDLE_LENGTH),
                                "needleLength",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),


     // needle inner extent
    	new JCPropertyDescriptor(LocaleBundle.string(LocaleBundle.NEEDLE_INNER_EXTENT),
     							LocaleBundle.string(LocaleBundle.NEEDLE_INNER_EXTENT),
                                 "needleInnerExtent",
                                 false,
                                 JCPropertyDescriptor.NORMAL,
                                 null),


    // needle outer extent
   	new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.NEEDLE_OUTER_EXTENT),
    							LocaleBundle.string(LocaleBundle.NEEDLE_OUTER_EXTENT),
                                "needleOuterExtent",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),


     // needle width
   	new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.NEEDLE_WIDTH),
    							LocaleBundle.string(LocaleBundle.NEEDLE_WIDTH),
                                "needleWidth",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),

                                    // needle color
   	new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.NEEDLE_COLOR),
    							LocaleBundle.string(LocaleBundle.NEEDLE_COLOR),
                                "needleColor",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),


    // paint complete scale background
	new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.PAINT_COMPLETE_BACKGROUND),
    							LocaleBundle.string(LocaleBundle.PAINT_COMPLETE_BACKGROUND),
                                "paintCompleteBackground",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),


    // scale color
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.SCALE_COLOR),
    							LocaleBundle.string(LocaleBundle.SCALE_COLOR),
                                "scaleColor",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),


    // scale extent
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.SCALE_EXTENT),
    							LocaleBundle.string(LocaleBundle.SCALE_EXTENT),
                                "scaleExtent",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),

    // scale max
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.SCALE_MAX),
    							LocaleBundle.string(LocaleBundle.SCALE_MAX),
                                "scaleMax",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),

    // scale min
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.SCALE_MIN),
    							LocaleBundle.string(LocaleBundle.SCALE_MIN),
                                "scaleMin",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),


    // snap to value
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.SNAP_TO_VALUE),
    							LocaleBundle.string(LocaleBundle.SNAP_TO_VALUE),
                                "snapToValue",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),


    // start angle
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.START_ANGLE),
    							LocaleBundle.string(LocaleBundle.START_ANGLE),
                                "startAngle",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),


    // stop angle
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.STOP_ANGLE),
    							LocaleBundle.string(LocaleBundle.STOP_ANGLE),
                                "stopAngle",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),

    // tickIncrement
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.TICK_INCREMENT),
    							LocaleBundle.string(LocaleBundle.TICK_INCREMENT),
                                "tickIncrement",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),


    // tick inner extent
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.TICK_INNER_EXTENT),
    							LocaleBundle.string(LocaleBundle.TICK_INNER_EXTENT),
                                "tickInnerExtent",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),


    // tick outer extent
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.TICK_OUTER_EXTENT),
    							LocaleBundle.string(LocaleBundle.TICK_OUTER_EXTENT),
                                "tickOuterExtent",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),


    // tick start value
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.TICK_START_VALUE),
    							LocaleBundle.string(LocaleBundle.TICK_START_VALUE),
                                "tickStartValue",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),


    // tick stop value
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.TICK_STOP_VALUE),
    							LocaleBundle.string(LocaleBundle.TICK_STOP_VALUE),
                                "tickStopValue",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),


    // tick label extent
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.TICK_LABEL_EXTENT),
    							LocaleBundle.string(LocaleBundle.TICK_LABEL_EXTENT),
                                "tickLabelExtent",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),

    // tick width
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.TICK_WIDTH),
    							LocaleBundle.string(LocaleBundle.TICK_WIDTH),
                                "tickWidth",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),


    // tick style property
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.TICK_STYLE),
    							LocaleBundle.string(LocaleBundle.TICK_STYLE),
                                "tickStyle",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                "com.klg.jclass.swing.gauge.beans.CircularTickStyleEditor"),

    // tick font color
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.TICK_FONT_COLOR),
    							LocaleBundle.string(LocaleBundle.TICK_FONT_COLOR),
                                "tickFontColor",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),


    // tick color
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.TICK_COLOR),
    							LocaleBundle.string(LocaleBundle.TICK_COLOR),
                                "tickColor",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),

    // use default precision
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.USE_DEFAULT_PRECISION),
    							LocaleBundle.string(LocaleBundle.USE_DEFAULT_PRECISION),
                                "precisionUseDefault",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),

    // precision
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.PRECISION),
    							LocaleBundle.string(LocaleBundle.PRECISION),
                                "precision",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),

    // gauge type
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.GAUGE_TYPE),
    							LocaleBundle.string(LocaleBundle.GAUGE_TYPE),
                                "type",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                "com.klg.jclass.swing.gauge.beans.GaugeTypeEditor"),

    // direction
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.DIRECTION),
    							LocaleBundle.string(LocaleBundle.DIRECTION),
                                "direction",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                "com.klg.jclass.swing.gauge.beans.CircularDirectionEditor"),

    // zoom factor
    new JCPropertyDescriptor(	LocaleBundle.string(LocaleBundle.ZOOM_FACTOR),
    							LocaleBundle.string(LocaleBundle.ZOOM_FACTOR),
                                "zoomFactor",
                                false,
                                JCPropertyDescriptor.NORMAL,
                                null),

};

protected static final String icons[] = {
    "JCCircularGauge16.gif",
    "JCCircularGauge16.gif",
    "JCCircularGauge32.gif",
    "JCCircularGauge32.gif"
};

public JCCircularGaugeBeanBeanInfo() {
	super(properties, null, "resources.LocaleInfo", icons);
}

}
