/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:31 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.swing.resources;

import com.klg.jclass.beans.AbstractBeanLocaleInfo;
import com.klg.jclass.swing.JCMDIPaneBeanInfo;
import com.klg.jclass.swing.JCMDIFrameBeanInfo;
import com.klg.jclass.swing.JCMultiSelectListBeanInfo;


public class LocaleInfo extends AbstractBeanLocaleInfo {

protected Item items[] = {
	new Item(JCMDIPaneBeanInfo.FRAME_MANIPULATION_PROP,
			 JCMDIPaneBeanInfo.FRAME_MANIPULATION_PROP,
			 "Property that controls the style in which internal frames are resized and dragged"),
	new Item(JCMDIFrameBeanInfo.INTERNAL_FRAME_EVENT,
			 JCMDIFrameBeanInfo.INTERNAL_FRAME_EVENT,
			 "WindowListener for Internal Frames"),
	new Item(JCMultiSelectListBeanInfo.SELECTION_FOREGROUND,
			 JCMultiSelectListBeanInfo.SELECTION_FOREGROUND,
			 "Selection foreground"),
	new Item(JCMultiSelectListBeanInfo.SELECTION_BACKGROUND,
			 JCMultiSelectListBeanInfo.SELECTION_BACKGROUND,
			 "Selection background"),
	new Item(JCMultiSelectListBeanInfo.PROTOTYPE_CELL_VALUE,
			 JCMultiSelectListBeanInfo.PROTOTYPE_CELL_VALUE,
			 "Prototype cell value"),
	new Item(JCMultiSelectListBeanInfo.FIXED_CELL_WIDTH,
			 JCMultiSelectListBeanInfo.FIXED_CELL_WIDTH,
			 "Fixed cell width"),
	new Item(JCMultiSelectListBeanInfo.FIXED_CELL_HEIGHT,
			 JCMultiSelectListBeanInfo.FIXED_CELL_HEIGHT,
			 "Fixed cell height"),
	new Item(JCMultiSelectListBeanInfo.MODEL,
			 JCMultiSelectListBeanInfo.MODEL,
			 "Model"),
};

protected Item[] getItems() {
	return items;
}

public static final Object[][] strings = {
    {LocaleBundle.WIZARD_PAGE_FORMAT_ERROR,
     "JCWizardPages Do Not Support a Progress List"}

};

public Object[][] getContents() {
	return strings;
}
}
