/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: UserMenuItem.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:32 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.swing.util;


import javax.swing.*;

/**
 * Subclass that allows you to associate an arbitary object of data with
 * a menu item.
 */
public class UserMenuItem extends JMenuItem {

protected Object user_data = null;

public UserMenuItem(Object user_data)
{
    super();
    this.user_data = user_data;
}

public UserMenuItem(Icon icon, Object user_data)
{
    super(icon);
    this.user_data = user_data;
}

public UserMenuItem(String text, Object user_data)
{
    super(text);
    this.user_data = user_data;
}

public UserMenuItem(String text, Icon icon, Object user_data)
{
    super(text, icon);
    this.user_data = user_data;
}

public UserMenuItem(String text, int mnemonic, Object user_data)
{
    super(text, mnemonic);
    this.user_data = user_data;
}

public Object getUserData()
{
    return(user_data);
}

}
