/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: WindowMenuItem.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:32 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.swing.util;

import javax.swing.*;

/**
 * Subclass that allows you to associate an arbitary object of data with
 * a menu item.
 */
public class WindowMenuItem extends UserMenuItem {

public WindowMenuItem(Object user_data)
{
    super(user_data);
}

public WindowMenuItem(Icon icon, Object user_data)
{
    super(icon, user_data);
}

public WindowMenuItem(String text, Object user_data)
{
    super(text, user_data);
}

public WindowMenuItem(String text, Icon icon, Object user_data)
{
    super(text, icon, user_data);
}

public WindowMenuItem(String text, int mnemonic, Object user_data)
{
    super(text, mnemonic, user_data);
}

public String getText()
{
    JInternalFrame f = (JInternalFrame)user_data;
    String text = super.getText();
    String return_text = null;
    if (text != null) {
        if (f != null) {
            return_text = text + f.getTitle();
        }
        else {
            return_text = text;
        }
    }
    else {
        if (f != null) {
            return_text = f.getTitle();
        }
    }
    return(return_text);
}

}
