/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: CellRangeValue.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:32 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table;

import java.io.Serializable;

/**
 * Contains a <CODE>JCCellRange</CODE> and associated object.
 */
public class CellRangeValue implements Serializable {
	
public int     start_row;
public int     start_column;
public int     end_row;
public int     end_column;
public Object  value;

/**
 * Creates a new series value.
 */
public CellRangeValue(int start_row, int start_column, int end_row,
                      int end_column, Object v)
{
    this.start_row = start_row;
    this.start_column = start_column;
    this.end_row = end_row;
    this.end_column = end_column;
    this.value = v;
}

public String toString()
{
    return("R" + start_row + "C" + start_column +
           ":R" + end_row + "C" + end_column + ": " + value);
}

}
