/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: BorderTypeEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:34 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.beans;

import com.klg.jclass.beans.EnumEditor;
import com.klg.jclass.table.JCTableEnum;

import javax.swing.JFrame;
import com.klg.jclass.util.JCTypeConverter;

/**
 * Custom property editor for border properties.
 * Allows border type to be selected from a list.
 */
public class BorderTypeEditor extends EnumEditor {

static final String[] strings = {
    "BORDER_ETCHED_IN"

 
    ,
    "BORDER_ETCHED_OUT"

 
    ,
    "BORDER_IN",
    "BORDER_OUT",
    "BORDER_PLAIN",
    "BORDER_FRAME_IN",
    "BORDER_FRAME_OUT",
    "BORDER_THIN",
	"BORDER_NONE",
};

static final int[] values = {
    JCTableEnum.BORDER_ETCHED_IN,
    JCTableEnum.BORDER_ETCHED_OUT,
    JCTableEnum.BORDER_IN,
    JCTableEnum.BORDER_OUT,
    JCTableEnum.BORDER_PLAIN,
    JCTableEnum.BORDER_FRAME_IN,
    JCTableEnum.BORDER_FRAME_OUT,
    JCTableEnum.BORDER_THIN,
	JCTableEnum.BORDER_NONE,
};

public BorderTypeEditor() {
	super(strings, values, "com.klg.jclass.table.JCTableEnum.");
}


 

}

