/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ResizeByEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:35 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.beans;

import com.klg.jclass.beans.EnumEditor;
import com.klg.jclass.table.JCTableEnum;

/**
 * Custom property editor for ResizeBy property.
 * Allows resize by mode to be selected from a list.
 */
public class ResizeByEditor extends EnumEditor {

static final String[] strings = {
	"RESIZE_BY_ALL",
	"RESIZE_BY_CELLS",
	"RESIZE_BY_LABELS",
};

static final int[] values = {
	JCTableEnum.RESIZE_BY_ALL,
	JCTableEnum.RESIZE_BY_CELLS,
	JCTableEnum.RESIZE_BY_LABELS,
};

public ResizeByEditor() {
	super(strings, values, "com.klg.jclass.table.JCTableEnum.");
}

}

