/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:37 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.resources;

import java.util.ListResourceBundle;
import java.io.Serializable;

public class LocaleInfo extends ListResourceBundle implements Serializable {

static final Object[][] strings = {
//LOCALIZE THIS
    { LocaleBundle.DELETE_ROWS, 		"Delete Record(s)"},
	{ LocaleBundle.GO_TO, 				"Go to Row..."},
	{ LocaleBundle.HIDE_COLUMN, 		"Hide Column..."},
    { LocaleBundle.INSERT_ROW, 			"Insert Record"},
	{ LocaleBundle.PRINT, 				"Print..."},
    { LocaleBundle.PRINT_PREVIEW, 		"Print Preview..."},
    { LocaleBundle.CANCEL_ALL, 			"Cancel All"},
    { LocaleBundle.CANCEL_ROWS, 		"Cancel Record(s)"},
    { LocaleBundle.REQUERY_ALL, 		"Requery All"},
    { LocaleBundle.REQUERY_ROW_AND, 	"Requery Record and Details"},
    { LocaleBundle.COMMIT_ALL, 			"Save All"},
    { LocaleBundle.COMMIT_ROWS, 		"Save Record(s)"},
	{ LocaleBundle.SHOW_COLUMN, 		"Show Column..."},
	{ LocaleBundle.JCTABLE_ERROR,   	"JCTable Error"},
	{ LocaleBundle.NOCOLUMNS_HIDE, 		"There are no columns to hide"},
	{ LocaleBundle.NOCOLUMNS_SHOW, 		"There are no columns to show"},
	{ LocaleBundle.VISIBLE_COLUMNS,		"Visible Columns"},
	{ LocaleBundle.HIDDEN_COLUMNS,		"Hidden Columns"},
	{ LocaleBundle.OK, 					"Okay"},
	{ LocaleBundle.CANCEL, 				"Cancel"},
	{ LocaleBundle.PRINT_PAGE_FIRST,	"Page "},
	{ LocaleBundle.PRINT_PAGE_SECOND, 	" of "},
	{ LocaleBundle.PRINT_JOB_NAME, 		"Table Print"},
	{ LocaleBundle.PP_FIRST, 			"First"},
	{ LocaleBundle.PP_PREVIOUS, 		"Previous"},
	{ LocaleBundle.PP_NEXT, 			"Next"},
	{ LocaleBundle.PP_LAST, 			"Last"},
	{ LocaleBundle.PP_PAGE_FORMAT,		"Page Format"},
	{ LocaleBundle.PP_PRINT, 			"Print"},
	{ LocaleBundle.PP_PRINTALL, 		"Print All"},
	{ LocaleBundle.PP_CLOSE, 			"Close"},


 

//END OF MATERIAL TO LOCALIZE
};

public Object[][] getContents() {
	return strings;
}

}
