/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: SpecialDate.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:40 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.calendar;

/**
 * SpecialDate is the interface that an object must support in order to be
 * added to JCCalendar's SpecialDate list.
 */
public interface SpecialDate {

/**
 * Returns whether the given date is special.
 * @param year The year to use. i.e. "1997"
 * @param month The month (0 to 11)
 * @param date The day of the month
 * @param week The week of the month
 * @return Is the date specified special?
 */
public boolean isSpecialDate(int year, int month, int date, int week);

}
