/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:42 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.io.resources;

import java.io.Serializable;
import java.util.ListResourceBundle;

/**
 *  Resource LocaleInfo class for load and save properties
 */
public class LocaleInfo extends ListResourceBundle implements Serializable {

static final Object[][] strings = {

// LOCALIZE THESE
	{LocaleBundle.DEFAULT,			"Default"},
    {LocaleBundle.ABSOLUTE,         "Absolute"},
    {LocaleBundle.RESOLVING_CLASS,  "Resolving Class"},
    {LocaleBundle.URL,              "URL"},
    {LocaleBundle.RELATIVE_URL,     "Relative URL"},
    {LocaleBundle.SERVLET,          "Servlet"},

    {LocaleBundle.NO_DATA,          "No Data"},
    {LocaleBundle.EMBED_DATA,       "Embed Data"},
    {LocaleBundle.DATA_FILE_TEXT,   "Text Data File"},
    {LocaleBundle.DATA_FILE_XML,    "XML Data File"},
//END OF MATERIAL TO LOCALIZE
};

public Object[][] getContents()
{
	return(strings);
}

}

