/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCSpringBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:46 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.util.swing;

import com.klg.jclass.beans.ComponentBeanInfo;
import com.klg.jclass.beans.JCPropertyDescriptor;

/**
 * This is the Bean info class for <code>JCSpring</code>.  It specifies the
 * properties and events.
 */
public class JCSpringBeanInfo extends ComponentBeanInfo {
    
public static final String HORIZONTAL_ELASTICITY = "horizontalElasticity";
public static final String VERTICAL_ELASTICITY   = "verticalElasticity";

protected static final JCPropertyDescriptor properties[] = {
	new JCPropertyDescriptor(HORIZONTAL_ELASTICITY, null),
	new JCPropertyDescriptor(VERTICAL_ELASTICITY, null),
};

protected static final String icons[] = {
    "icons/JCSpringIcon16.gif",
    "icons/JCSpringIcon16.gif",
    "icons/JCSpringIcon32.gif",
    "icons/JCSpringIcon32.gif",
};
    
public JCSpringBeanInfo()
{
	super(properties, null, "resources.LocaleInfo", icons);
}

}
