/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: Encoder.java,v $ $Revision: 1.2 $ 
//          $Date: 2006-03-17 21:13:47 $ $Locker:  $ Quest Software Inc.
package com.klg.jclass.util.swing.encode;

import java.awt.Component;
import java.awt.Image;
import java.io.OutputStream;
import java.io.IOException;

/**
 * Interface that defines an encoder
 */
public interface Encoder {
	/**
	 * Encode the specified component on the specified stream
	 */
	public void encode(Component component, OutputStream stream) 
        throws IOException, EncoderException;

	public void encode(Image image, OutputStream stream) 
        throws IOException, EncoderException;
}

