/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: AnnoBoundsInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:43 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart;

import java.awt.Rectangle;

/**
 * This class is used by the resizing/repositioning code for Polar/Radar
 * charts.  It defines the bounding rectangle for the axis annotations.
 * The four JCValueLabel members are the labels that extend furthest
 * towards the left, right, top, and bottom of the chart area.
 */
class AnnoBoundsInfo extends Rectangle {

JCValueLabel valueLabelMinBoundsX = null;
JCValueLabel valueLabelMaxBoundsX = null;
JCValueLabel valueLabelMinBoundsY = null;
JCValueLabel valueLabelMaxBoundsY = null;

AnnoBoundsInfo()
{
	super();
}

}
