/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCustomTable.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:50 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;

import java.util.Vector;

import javax.swing.JTable;
import javax.swing.JScrollPane;
import javax.swing.DefaultListSelectionModel;
import javax.swing.table.DefaultTableModel;

public class JCustomTable extends JTable {

	public JCustomTable() {
		super();
		setSelectionModel( new DefaultListSelectionModel() );
		setModel( new DefaultTableModel() );
		selectionModel.setSelectionMode( 0 );
	}
	
	public JScrollPane createTablePanel() {
		return new JScrollPane(this);
	}

	public void setValueAt( Object aValue, int row, int column ) {
		getModel().setValueAt( aValue, row, column );
	}

	public void insertRow( int row, Object[] rowData ) {
		((DefaultTableModel)getModel()).insertRow( row, rowData );
	}

	public void removeRow( int row ) {
		((DefaultTableModel)getModel()).removeRow( row );
	}

	public void addRow( Object[] rowData ) {
		((DefaultTableModel)getModel()).addRow( rowData );
	}

	public void setItems( Vector dataVector ) {
		if( dataVector != null )
			((DefaultTableModel)getModel()).setDataVector( dataVector, null );
	}

}
