/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DataFileException.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:53 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.property;

import java.io.IOException;

/**
 * No longer used.  Here for backwards compatibility only.  Please use
 * JCIOException instead.
 *
 * This class extends <code>IOException</code> to create a
 * separate exception to throw when an internal data file within an html or
 * xml file is not found.
 * @see com.klg.jclass.util.io.JCIOException
 * @deprecated As of DesktopViews 6.2/ServerViews 4.0
 */
public class DataFileException extends IOException {

/**
 * Constructs a <code>DataFileException</code> with <code>null</code> as
 * its error detail message.
 */
public DataFileException()
{
	super();
}

/**
 * Constructs a <code>DataFileException</code> with the specified detail
 * message. The string <code>s</code> can be retrieved later by the
 * <code>{@link java.lang.Throwable#getMessage}</code> method of class
 * <code>java.lang.Throwable</code>.
 *
 * @param s The detail message.
 */
public DataFileException(String s)
{
    super(s);
}

}
