/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ChartAreaEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:59 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.customizer;

public class ChartAreaEditor extends Chart3dPropertyEditor {

private static String[]		children = {
				"com.klg.jclass.chart3d.customizer.ChartAreaSurfaceEditor",
				"com.klg.jclass.chart3d.customizer.ChartAreaInteriorEditor",
				"com.klg.jclass.chart3d.customizer.ChartAreaBorderEditor",
				"com.klg.jclass.chart3d.customizer.ChartAreaLocationEditor",
				"com.klg.jclass.chart3d.customizer.ChartAreaScatterEditor",
				"com.klg.jclass.chart3d.customizer.ChartAreaBarEditor"
};

private static final String		nameKey = LocaleBundle.STRING_CHART_AREA;


public ChartAreaEditor() {
	super(nameKey, children);
}

public ChartAreaEditor(PropertyEditor parent) {
	super(nameKey, parent, children);
}

}
