/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: NotFoundEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:01 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.customizer;

import java.awt.Component;
import java.awt.Container;

import javax.swing.JLabel;

public class NotFoundEditor extends Chart3dPropertyEditor {

private static final String		nameKey = LocaleBundle.STRING_ERROR;
private static final String		errorMessage = LocaleBundle.ERROR_EDITOR_NOT_FOUND;

private Container				content;

public NotFoundEditor() {
	super(nameKey);
}

public NotFoundEditor(PropertyEditor parent) {
	super(nameKey);
}

public Component getEditor() {

	if (content == null) {

		JLabel label = new JLabel(getLocalizedString(errorMessage));

		content = createBorderPanel();
		content.add(label);
	}
	return content;
}

public void finalizeEditor() {
	content = null;
}

}
