/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:01 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.customizer.resources;

import com.klg.jclass.chart3d.customizer.LocaleBundle;

import java.util.ListResourceBundle;

public class LocaleInfo extends ListResourceBundle {

	static final Object[][] strings = {
		//LOCALIZE THIS
		{ LocaleBundle.STRING_BATCHED, "Batch Updates" },
		{ LocaleBundle.STRING_DOUBLE_BUFFERED, "Double Buffered" },
		{ LocaleBundle.STRING_BAR_COLOR, "Bar Color" },
		{ LocaleBundle.STRING_LOAD, "Load" },
		{ LocaleBundle.STRING_SAVE, "Save" },
		{ LocaleBundle.STRING_APPLY, "Apply" },
		{ LocaleBundle.STRING_AXIS, "Axis" },
		{ LocaleBundle.STRING_DATA_VIEW, "Data View" },
		{ LocaleBundle.STRING_ANNO_METHOD, "Anno. Method" },
		{ LocaleBundle.STRING_ORIGIN, "Origin" },
		{ LocaleBundle.STRING_VALUES, "Values" },
		{ LocaleBundle.STRING_DATA_LABELS, "Data Labels" },
		{ LocaleBundle.STRING_VALUE_LABELS, "Value Labels" },
		{ LocaleBundle.STRING_MIN, "Min" },
		{ LocaleBundle.STRING_MAX, "Max" },
		{ LocaleBundle.STRING_DEFAULT, "Default" },
		{ LocaleBundle.STRING_XY_PLANE, "XY Plane" },
		{ LocaleBundle.STRING_XZ_PLANE, "XZ Plane" },
		{ LocaleBundle.STRING_YZ_PLANE, "YZ Plane" },
		{ LocaleBundle.STRING_ADD, "Add" },
		{ LocaleBundle.STRING_INSERT, "Insert" },
		{ LocaleBundle.STRING_REMOVE, "Remove" },
		{ LocaleBundle.STRING_EDIT, "Edit" },
		{ LocaleBundle.STRING_VALUE, "Value" },
		{ LocaleBundle.STRING_LABEL, "Label" },
		{ LocaleBundle.STRING_CHART_TYPE, "Chart Type" },
		{ LocaleBundle.STRING_SURFACE, "Surface" },
		{ LocaleBundle.STRING_BAR, "Bar" },
		{ LocaleBundle.STRING_SCATTER, "Scatter" },
		{ LocaleBundle.STRING_CONTOURED, "Contoured" },
		{ LocaleBundle.STRING_ZONE_CONTOUR, "Contour"},
		{ LocaleBundle.STRING_ZONE_CELL_AVERAGE, "Cell Average"},
		{ LocaleBundle.STRING_ZONE_CELL_CORNER, "Cell Corner"},
		{ LocaleBundle.STRING_ZONED, "Zoned" },
		{ LocaleBundle.STRING_MESHED, "Meshed" },
		{ LocaleBundle.STRING_SHADED, "Shaded" },
		{ LocaleBundle.STRING_TRANSPARENT, "Transparent" },
		{ LocaleBundle.STRING_ZONE_METHOD, "Zone Method" },
		{ LocaleBundle.STRING_CONTOURS, "Contours" },
		{ LocaleBundle.STRING_MESH_TOP_COLOR, "Mesh Top Color" },
		{ LocaleBundle.STRING_MESH_BOTTOM_COLOR, "Mesh Bottom Color" },
		{ LocaleBundle.STRING_SHADED_TOP_COLOR, "Shaded Top Color" },
		{ LocaleBundle.STRING_SHADED_BOTTOM_COLOR, "Shaded Bottom Color" },
		{ LocaleBundle.STRING_X, "X" },
		{ LocaleBundle.STRING_Y, "Y" },
		{ LocaleBundle.STRING_Z, "Z" },
		{ LocaleBundle.STRING_X_AXIS, "X Axis" },
		{ LocaleBundle.STRING_Y_AXIS, "Y Axis" },
		{ LocaleBundle.STRING_Z_AXIS, "Z Axis" },
		{ LocaleBundle.STRING_LIMITS, "Limits" },
		{ LocaleBundle.STRING_WIDTH, "Width" },
		{ LocaleBundle.STRING_HEIGHT, "Height" },
		{ LocaleBundle.STRING_X_SCALE, "X-Scale" },
		{ LocaleBundle.STRING_Y_SCALE, "Y-Scale" },
		{ LocaleBundle.STRING_Z_SCALE, "Z-Scale" },
		{ LocaleBundle.STRING_NORMALIZED, "Normalized" },
		{ LocaleBundle.STRING_SCALE, "Scale" },
		{ LocaleBundle.STRING_HORIZONTAL_SHIFT, "Horizontal Shift" },
		{ LocaleBundle.STRING_VERTICAL_SHIFT, "Vertical Shift" },
		{ LocaleBundle.STRING_OK, "OK" },
		{ LocaleBundle.STRING_PERSPECTIVE, "Perspective" },
		{ LocaleBundle.STRING_X_ROTATION, "X-Rotation" },
		{ LocaleBundle.STRING_Y_ROTATION, "Y-Rotation" },
		{ LocaleBundle.STRING_Z_ROTATION, "Z-Rotation" },
		{ LocaleBundle.STRING_BACKGROUND, "Background" },
		{ LocaleBundle.STRING_FOREGROUND, "Foreground" },
		{ LocaleBundle.STRING_ERROR, "Error" },
		{ LocaleBundle.STRING_CHART_3D, "Chart 3D" },
		{ LocaleBundle.STRING_AXES, "Axes" },
		{ LocaleBundle.STRING_CHART_GROUPS, "Chart Groups" },
		{ LocaleBundle.STRING_CHART_AREA, "Chart Area" },
		{ LocaleBundle.STRING_PLOT_CUBE, "Plot Cube" },
		{ LocaleBundle.STRING_VIEW_3D, "View 3D" },
		{ LocaleBundle.STRING_GENERAL, "General" },
		{ LocaleBundle.STRING_BORDER, "Border" },
		{ LocaleBundle.STRING_INTERIOR, "Interior" },
		{ LocaleBundle.STRING_IMAGE, "Image" },
		{ LocaleBundle.STRING_ABOUT, "About" },
		{ LocaleBundle.STRING_TITLE, "Title" },
		{ LocaleBundle.STRING_GRID_LINES, "Grid Lines" },
		{ LocaleBundle.STRING_GRID_STYLE, "Grid Style" },
		{ LocaleBundle.STRING_LEGEND, "Legend" },
		{ LocaleBundle.STRING_FONT, "Font" },
		{ LocaleBundle.STRING_DATA, "Data" },
		{ LocaleBundle.STRING_GRID_COLORS, "Grid Colors" },
		{ LocaleBundle.STRING_LABELS, "Labels" },
		{ LocaleBundle.STRING_ELEVATION, "Elevation" },
		{ LocaleBundle.STRING_INTERNET, "Internet" },
		{ LocaleBundle.STRING_LOCATION, "Location" },
		{ LocaleBundle.STRING_CEILING, "Ceiling" },
		{ LocaleBundle.STRING_FLOOR, "Floor" },
		{ LocaleBundle.STRING_VIEWPORT, "Viewport" },
		{ LocaleBundle.STRING_SOLID, "Solid" },
		{ LocaleBundle.STRING_X_MESH, "X-Mesh" },
		{ LocaleBundle.STRING_Y_MESH, "Y-Mesh" },
		{ LocaleBundle.STRING_X_MESH_FILTER, "X-Mesh Filter" },
		{ LocaleBundle.STRING_Y_MESH_FILTER, "Y-Mesh Filter" },
		{ LocaleBundle.STRING_DROP_LINES, "Drop Lines" },
		{ LocaleBundle.STRING_FIXED, "Fixed" },
		{ LocaleBundle.STRING_HISTOGRAM, "Histogram" },
		{ LocaleBundle.STRING_X_FORMAT, "X-Format" },
		{ LocaleBundle.STRING_Y_FORMAT, "Y-Format" },
		{ LocaleBundle.STRING_X_SPACING, "X-Spacing" },
		{ LocaleBundle.STRING_Y_SPACING, "Y-Spacing" },
		{ LocaleBundle.STRING_NORTH, "North" },
		{ LocaleBundle.STRING_SOUTH, "South" },
		{ LocaleBundle.STRING_EAST, "East" },
		{ LocaleBundle.STRING_WEST, "West" },
		{ LocaleBundle.STRING_NORTHEAST, "North East" },
		{ LocaleBundle.STRING_NORTHWEST, "North West" },
		{ LocaleBundle.STRING_SOUTHEAST, "South East" },
		{ LocaleBundle.STRING_SOUTHWEST, "South West" },
		{ LocaleBundle.STRING_ANCHOR, "Anchor" },
		{ LocaleBundle.STRING_ORIENTATION, "Orientation" },
		{ LocaleBundle.STRING_VERTICAL, "Vertical" },
		{ LocaleBundle.STRING_HORIZONTAL, "Horizontal" },
		{ LocaleBundle.STRING_VISIBLE, "Visible" },
		{ LocaleBundle.STRING_OPAQUE, "Opaque" },
		{ LocaleBundle.STRING_CANCEL, "Cancel" },
		{ LocaleBundle.STRING_LEVELS, "Levels" },
		{ LocaleBundle.STRING_USE_DEFAULT_LEVELS, "Use Default Levels" },
		{ LocaleBundle.STRING_SET_LEVELS, "Set Contour Levels" },
		{ LocaleBundle.STRING_PREVIEW_METHOD, "Preview Method" },
		{ LocaleBundle.STRING_CUBE, "Cube" },
		{ LocaleBundle.STRING_FULL, "Full" },
		{ LocaleBundle.STRING_CONTOUR_STYLES, "Contour Styles" },
		{ LocaleBundle.STRING_STYLE, "Style" },
		{ LocaleBundle.STRING_NONE, "None" },
		{ LocaleBundle.STRING_PER_25, "25 Percent" },
		{ LocaleBundle.STRING_PER_50, "50 Percent" },
		{ LocaleBundle.STRING_PER_75, "75 Percent" },
		{ LocaleBundle.STRING_HORIZ_STRIPE, "Horizontal Stripe" },
		{ LocaleBundle.STRING_VERT_STRIPE, "Vertical Stripe" },
		{ LocaleBundle.STRING_STRIPE_45, "45 Degree Stripe" },
		{ LocaleBundle.STRING_STRIPE_135, "135 Degree Stripe" },
		{ LocaleBundle.STRING_DIAG_HATCHED, "Diagonal Hatched" },
		{ LocaleBundle.STRING_CROSS_HATCHED, "Cross Hatched" },
		{ LocaleBundle.STRING_CUSTOM_FILL, "Custom Fill" },
		{ LocaleBundle.STRING_CUSTOM_STACK, "Custom Stack" },
		{ LocaleBundle.STRING_CUSTOM_PAINT, "Custom Paint" },
		{ LocaleBundle.STRING_PATTERN, "Pattern" },
		{ LocaleBundle.STRING_OPEN, "Open" },
		{ LocaleBundle.STRING_FILL, "Fill" },
		{ LocaleBundle.STRING_FILL_STYLE, "Fill Style" },
		{ LocaleBundle.STRING_LONG_DASH, "Long Dash"},
		{ LocaleBundle.STRING_SHORT_DASH, "Short Dash"},
		{ LocaleBundle.STRING_LSL_DASH, "LSL Dash"},
		{ LocaleBundle.STRING_DASH_DOT, "Dash Dot"},
		{ LocaleBundle.STRING_CUSTOM, "Custom"},
		{ LocaleBundle.STRING_BEVEL, "Bevel"},
		{ LocaleBundle.STRING_MITER, "Miter"},
		{ LocaleBundle.STRING_ROUND, "Round"},
		{ LocaleBundle.STRING_BUTT, "Butt"},
		{ LocaleBundle.STRING_SQUARE, "Square"},
		{ LocaleBundle.STRING_JOIN, "Join"},
		{ LocaleBundle.STRING_CAP, "Cap"},
		{ LocaleBundle.STRING_LINE, "Line"},
		{ LocaleBundle.STRING_LINE_STYLE, "Line Style"},
		{ LocaleBundle.STRING_DOT, "Dot"},
		{ LocaleBundle.STRING_BOX, "Miter"},
		{ LocaleBundle.STRING_TRIANGLE, "Triangle"},
		{ LocaleBundle.STRING_DIAMOND, "Diamond"},
		{ LocaleBundle.STRING_STAR, "Star"},
		{ LocaleBundle.STRING_VERT_LINE, "Vertical Line"},
		{ LocaleBundle.STRING_HORIZ_LINE, "Horizontal Line"},
		{ LocaleBundle.STRING_CROSS, "Cross"},
		{ LocaleBundle.STRING_CIRCLE, "Circle"},
		{ LocaleBundle.STRING_SYMBOL_STYLE, "Symbol Style"},
		{ LocaleBundle.STRING_SIZE, "Size"},
		{ LocaleBundle.STRING_SHAPE, "Shape"},
		{ LocaleBundle.STRING_SYMBOL, "Symbol"},
		{ LocaleBundle.STRING_ALL, "All"},
		{ LocaleBundle.STRING_CHART_STYLES, "Chart Styles"},
		{ LocaleBundle.STRING_LOAD_DATA, "Load Data"},
		{ LocaleBundle.STRING_RESET_STYLES, "Reset Styles"},
		{ LocaleBundle.STRING_ADD_XGRID, "Add X-Grid" },
		{ LocaleBundle.STRING_ADD_YGRID, "Add Y-Grid" },
		{ LocaleBundle.STRING_REMOVE_XGRID, "Remove X-Grid" },
		{ LocaleBundle.STRING_REMOVE_YGRID, "Remove Y-Grid" },
		{ LocaleBundle.STRING_CHANGE_XGRID, "Change X-Grid" },
		{ LocaleBundle.STRING_CHANGE_YGRID, "Change Y-Grid" },
		{ LocaleBundle.STRING_TO_XGRID, "To X-Grid" },
		{ LocaleBundle.STRING_TO_YGRID, "To Y-Grid" },
		{ LocaleBundle.STRING_SERIES, "Series" },
		{ LocaleBundle.STRING_POINTS_XYZ, "Points (x,y,z)" },
		{ LocaleBundle.STRING_X_VALUE, "X-Value" },
		{ LocaleBundle.STRING_Y_VALUE, "Y-Value" },
		{ LocaleBundle.STRING_Z_VALUE, "Z-Value" },
		{ LocaleBundle.STRING_XY_GRIDS, "X/Y Grids"},
		{ LocaleBundle.STRING_HEADER, "Header" },
		{ LocaleBundle.STRING_FOOTER, "Footer" },
		{ LocaleBundle.STRING_TITLES, "Titles"},
		{ LocaleBundle.STRING_LEFT, "Left" },
		{ LocaleBundle.STRING_CENTER, "Center" },
		{ LocaleBundle.STRING_RIGHT, "Right" },
		{ LocaleBundle.STRING_LEADING, "Leading"},
		{ LocaleBundle.STRING_TRAILING, "Trailing" },
		{ LocaleBundle.STRING_TOP, "Top" },
		{ LocaleBundle.STRING_BOTTOM, "Bottom"},
		{ LocaleBundle.STRING_TEXT, "Text"},
		{ LocaleBundle.STRING_H_ALIGNMENT, "Horizontal Alignment"},
		{ LocaleBundle.STRING_V_ALIGNMENT, "Vertical Alignment"},
		{ LocaleBundle.STRING_ANNO_FONT, "Anno. Font"},
		{ LocaleBundle.STRING_X_LABELS, "X-Labels"},
		{ LocaleBundle.STRING_Y_LABELS, "Y-Labels"},
		{ LocaleBundle.STRING_LOAD_ELEVATION_DATA, "Load Elevation Data"},
		{ LocaleBundle.STRING_LOAD_ZONE_DATA, "Load Zone Data"},
		{ LocaleBundle.STRING_DESTROY_ZONE_DATA, "Destroy Zone Data"},
		{ LocaleBundle.STRING_ELEVATION_DATA, "Elevation Data"},
		{ LocaleBundle.STRING_ZONE_DATA, "Zone Data"},
		{ LocaleBundle.STRING_WARNING, "Warning"},
		{ LocaleBundle.STRING_LAYOUT_STYLE, "Layout Style"},
		{ LocaleBundle.STRING_DIST_RANGE, "Distribution Range"},
		{ LocaleBundle.STRING_STEPPED, "Stepped"},
		{ LocaleBundle.STRING_CONTINUOUS, "Continuous"},
		{ LocaleBundle.STRING_LIGHTING, "Lighting"},
		{ LocaleBundle.STRING_SPOT, "Spot"},
		{ LocaleBundle.STRING_DIRECTIONAL, "Directional"},
		{ LocaleBundle.STRING_POINT, "Point"},
		{ LocaleBundle.STRING_FOG, "Fog"},
		{ LocaleBundle.STRING_FRONT_DISTANCE, "Front Distance"},
		{ LocaleBundle.STRING_BACK_DISTANCE, "Back Distance"},
		{ LocaleBundle.STRING_FOG_COLOR, "Fog Color"},
		{ LocaleBundle.STRING_FACE, "Face"},
		{ LocaleBundle.STRING_ANGLE, "Angle"},
		{ LocaleBundle.STRING_LOAD_IMAGE, "Load Image"},
		{ LocaleBundle.STRING_WALL_IMAGE, "Wall Image"},
		{ LocaleBundle.STRING_MARGIN_GAP, "Margin Gap"},
		{ LocaleBundle.STRING_GROUP_GAP, "Group Gap"},
		{ LocaleBundle.STRING_HORIZONTAL_ITEM_GAP, "Horizontal Item Gap"},
		{ LocaleBundle.STRING_VERTICAL_ITEM_GAP, "Vertical Item Gap"},
		{ LocaleBundle.STRING_SYMBOL_TO_TEXT_GAP, "Inside Item Gap"},
		{ LocaleBundle.STRING_SPACING, "Spacing"},
		{ LocaleBundle.STRING_PROJECTION, "Projection"},

		{ LocaleBundle.ERROR_ILLEGAL_VALUE, "Illegal value entered" },
		{ LocaleBundle.ERROR_LABEL_MISSING, "Label must be entered" },
		{ LocaleBundle.ERROR_DUPLICATE_VALUE, "Duplicate value exists" },
		{ LocaleBundle.ERROR_INTEGERS_ONLY, "Integer values only" },
		{ LocaleBundle.ERROR_NO_VALUE_SELECTED, "No value selected" },
		{ LocaleBundle.ERROR_INVALID_X_Y, "Invalid X or Y entered" },
		{ LocaleBundle.ERROR_XGRID_NOT_FOUND, "X-Grid not found" },
		{ LocaleBundle.ERROR_YGRID_NOT_FOUND, "Y-Grid not found" },
		{ LocaleBundle.ERROR_DUPLICATE_XGRID, "Duplicate X-Grid found" },
		{ LocaleBundle.ERROR_DUPLICATE_YGRID, "Duplicate Y-Grid found" },
		{ LocaleBundle.ERROR_DUPLICATE_POINT, "Duplicate point found" },
		{ LocaleBundle.ERROR_CREATE_DEFAULT_ZONE, "There is not zone data set.  Would you like to create a default set?" },
		{ LocaleBundle.ERROR_DELETE_ZONE, "Delete zone data?" },
		{ LocaleBundle.ERROR_INVALID_DATA, "Invalid data" },
		{ LocaleBundle.ERROR_LOAD_ELEVATION_DELETE_ZONE, "Loading elevation data will result in the zone dating being erased.  Proceed?" },
		{ LocaleBundle.ERROR_ELEVATION_ZONE_NOT_MATCHING, "Zone data grid does not match elevation data grid" },
		{ LocaleBundle.ERROR_ELEVATION_NOT_FILLED, "All cells in elevation data not filled" },
		{ LocaleBundle.ERROR_ZONE_NOT_FILLED, "All cells in zone data not filled" },
		{ LocaleBundle.ERROR_EDITOR_NOT_FOUND, "Property editor not found!" },
		{ LocaleBundle.ERROR_IMAGE_LOAD, "Error loading image file!" }
	};

	public Object[][] getContents() {
		return strings;
	}
}
