/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: CubeJava3d.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:04 $  $Locker:  $  Quest Software Inc.

//  CubeJava3d.java

package com.klg.jclass.chart3d.j3d;

import javax.vecmath.Point3d;
import javax.vecmath.Point4d;
import javax.vecmath.Matrix4d;
import javax.media.j3d.*;
import com.klg.jclass.chart3d.*;

public class CubeJava3d extends Cube {

protected JCChart3dJava3d chart3d = null;
protected JC3DUniverse virtualUniverse = null;

/**
 * Null constructor
 */
public CubeJava3d()
{
	super();
}

/**
 *
 */
public CubeJava3d(JCChart3dJava3d chart3d)
{
    this();
    this.chart3d = chart3d;
}

/**
 * Get the parent chart3d area.
 * @return The parent JCChart3dArea object
 */
public JCChart3dAreaJava3d getChart3dAreaJava3d()
{
	return( (JCChart3dAreaJava3d)(chart3d.getChart3dArea()) );
}

}
