/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ErrorDialog.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:09 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource;

import java.awt.Component;

import javax.swing.JOptionPane;

import com.klg.jclass.datasource.LocaleBundle;
import com.klg.jclass.util.swing.JCMessageHelper;

/**
 * This is a class for displaying DataSource
 * errors in a popup dialog.
 */
public class ErrorDialog {

public static void showError(Component component, String message) {
    JCMessageHelper.showMessage(component, LocaleBundle.string(LocaleBundle.error),
                                message, JOptionPane.ERROR_MESSAGE);
}

public static void showWarning(Component component, String message) {
    JCMessageHelper.showMessage(component, LocaleBundle.string(LocaleBundle.warning),
                                message, JOptionPane.WARNING_MESSAGE);
}

} // ErrorDialog
