/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: EditorTreeNode.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:10 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.customizer;

import javax.swing.tree.*;

import com.klg.jclass.datasource.*;
import com.klg.jclass.datasource.beans.*;

public class EditorTreeNode extends DataSourceTreeNode {

public EditorTreeNode() {
    super();
}

public EditorTreeNode(Object userObject) {
    super(userObject);
}

public String getDescription() {
//    Object o = ((TreeNode)getUserObject()).getData();
    Object o = getUserObject();
    Object ocopy = o;
    if (o instanceof DataSourceTreeNode) {
        o = ((DataSourceTreeNode)o).getUserObject();
    }
/*    
NodeProperties comp = null;
if (o instanceof NodeProperties) {
    comp = (NodeProperties)o;
}
else if (o.getClass().equals(Class.forName("com.klg.jclass.higrid.JCHiGridNode"))) {
}
*/
    if (o instanceof String) {
        return (String)o;
    }
    NodeProperties comp = (NodeProperties)(o instanceof NodeProperties ? o : ((NodePropertiesWrapper)o).getNodeProperties());
    return comp.getDescription();
//    	return ((NodeProperties)((TreeNode)getUserObject()).getData()).getDescription();
}

public void setDescription(String description) {
//    Object o = ((TreeNode)getUserObject()).getData();
    Object o = getUserObject();
    Object ocopy = o;
    if (o instanceof DataSourceTreeNode) {
        o = ((DataSourceTreeNode)o).getUserObject();
    }
    NodeProperties comp = (NodeProperties)(o instanceof NodeProperties ? o : ((NodePropertiesWrapper)o).getNodeProperties());
    comp.setDescription(description);
    comp.fireJCDataEvent(new JCDataEvent(comp));

//    	TreeNode node = (TreeNode)getUserObject();
//    	((NodeProperties)node.getData()).setDescription(description);
//		((NodeProperties)node.getData()).fireJCDataEvent(new JCDataEvent((Object)node.getData()));
}

public void setUserObject(Object userObject) {
    if (userObject instanceof String) {
        setDescription((String)userObject);
    }
    else {
        super.setUserObject(userObject);
    }
}

public String toString() {
    return getDescription();
}

}

