/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:12 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.resources;

import com.klg.jclass.datasource.LocaleBundle;
import java.util.ListResourceBundle;

public class LocaleInfo extends ListResourceBundle {

static final Object[][] strings = {
//LOCALIZE THIS
    { LocaleBundle.add,                     "Add"},
//{ LocaleBundle.add3,                      "Add..." },
    { LocaleBundle.add3,                      "Add"},
    { LocaleBundle.add_selected_columns,    "Add Selected Column(s)"},
    { LocaleBundle.add_join,                "Add Join..."},
    { LocaleBundle.add_table,               "Add Table..."},
    { LocaleBundle.about,                   "About JClass DataSource"},
    { LocaleBundle.array,                   "Array"},
    { LocaleBundle.auto_commit,             "Auto Commit"},
    { LocaleBundle.auto_join,               "Auto Join"},
    { LocaleBundle.available_data_sources,  "Available Data Sources"},
    { LocaleBundle.based_columns,           "Based Columns"},
    { LocaleBundle.browse,                  "Browse..."},
    { LocaleBundle.cache_children,          "Cache Children"},
    { LocaleBundle.cancel,                  "Cancel"},
    { LocaleBundle.cannot_auto_join,        "Cannot auto join."},
    { LocaleBundle.cannot_establish_connection_for_parent, "Cannot establish connection for parent"},
    { LocaleBundle.cannot_establish_connection, "Cannot establish connection"},
    { LocaleBundle.cannot_set_jdbc_connection,    "Cannot set JDBC connection information for non-JDBC type data source."},
    { LocaleBundle.child,                   "Child"},
    { LocaleBundle.class_name,              "Class Name"},
    { LocaleBundle.clear,                   "Clear"},
    { LocaleBundle.click_to_edit,           "Click to edit..."},
    { LocaleBundle.close,                   "Close"},
    { LocaleBundle.column_name,             "Column Name"},
    { LocaleBundle.column_name_from,        "Column Name From"},
    { LocaleBundle.column_type,             "Column Type"},
    { LocaleBundle.commit_leaving_record,   "COMMIT_LEAVING_RECORD"},
    { LocaleBundle.commit_leaving_ancestor, "COMMIT_LEAVING_ANCESTOR"},
    { LocaleBundle.commit_manually,         "COMMIT_MANUALLY"},
    { LocaleBundle.commit_policy,           "Commit Policy"},
    { LocaleBundle.connect,                 "Connect"},
    { LocaleBundle.connecting,              "Connecting..."},
    { LocaleBundle.connection,              "Connection"},
    { LocaleBundle.connect_failed,          "Failed"},
    { LocaleBundle.connect_succeeded,       "Succeeded"},
    { LocaleBundle.customizer,              "Customizer"},
    { LocaleBundle.data,                    "Data"},
    { LocaleBundle.JCData,                  "JCData"},
    { LocaleBundle.database,                "Database"},
    { LocaleBundle.data_access,             "Data Access"},
    { LocaleBundle.data_binding_editor,     "Data Binding Editor"},
    { LocaleBundle.data_model,              "Data Model"},
    { LocaleBundle.data_source,             "Data Source"},
    { LocaleBundle.data_source_type,        "Data Source Type"},
    { LocaleBundle.data_source_name,        "Data Source Name"},
    { LocaleBundle.delete,                  "Delete"},
    { LocaleBundle.delete_allowed,          "Delete Allowed"},
    { LocaleBundle.delete_not_allowed,          "Delete Not Allowed"},
    { LocaleBundle.description,             "Description"},
    { LocaleBundle.description3,            "Description..."},
    { LocaleBundle.design_time_max_rows,    "Design-time Maximum Number of Rows"},
    { LocaleBundle.driver,                  "Driver"},
    { LocaleBundle.driver_table,            "Driver Table"},
    { LocaleBundle.enter_resource_name_and_save, "Please enter a resource name and save the bean component to a file."},
    { LocaleBundle.enter_parameter_columns, "SQL statement for parameter columns (e.g. \"column_name = ?\") must be entered manually in expert mode."},
    { LocaleBundle.error,                   "Error"},
    { LocaleBundle.expert_mode,             "Expert Mode"},
    { LocaleBundle.failed_to_deserialize,   "Failed to deserialize"},
    { LocaleBundle.failed_to_deserialize_incorrect_format, "Failed to deserialize due to incorrect file format "},
    { LocaleBundle.failed_to_get_a_list_of_tables, "Failed to get a list of tables"},
    { LocaleBundle.failed_to_load_file_not_found, "Failed to load because file not found"},
    { LocaleBundle.failed_to_save_file_not_found, "Failed to save because file not found"},
    { LocaleBundle.failed_to_serialize,     "Failed to serialize"},
    { LocaleBundle.file_readonly,           "File {0} is Read-only."},
    { LocaleBundle.file_exists,             " already exists.\nDo you want to replace it?"},
    { LocaleBundle.foreign,                 "Foreign"},
    { LocaleBundle.format,                  "Format"},
    { LocaleBundle.general,                 "General"},
    { LocaleBundle.host_or_ip,              "Host or IP Address"},
    { LocaleBundle.ide,                     "IDE"},
    { LocaleBundle.integrated_development_environment, "Integrated Development Environment"},
    { LocaleBundle.insert_allowed,          "Insert Allowed"},
    { LocaleBundle.insert_not_allowed,      "Insert Not Allowed"},
    { LocaleBundle.jbuilder,                "Borland JBuilder"},
    { LocaleBundle.jclass_beans_old_ver,    "jclass.beans is out of date (predates JCVersion)"},
    { LocaleBundle.jclass_beans_out_of_date, "jclass.beans is out of date: "},
    { LocaleBundle.jclass_base_old_ver,     "jclass.base is out of date (predates JCVersion)"},
    { LocaleBundle.jclass_base_out_of_date, "jclass.base is out of date: "},
    { LocaleBundle.jclass_util_old_ver,     "com.klg.jclass.util is out of date (predates JCVersion)"},
    { LocaleBundle.jclass_util_out_of_date, "com.klg.jclass.util is out of date: "},
    { LocaleBundle.jdbc,                    "JDBC"},
    { LocaleBundle.jdbc_does_not_support_get_table_name, "JDBC driver does not support getTableName()."},
    { LocaleBundle.join,                    "Join"},
    { LocaleBundle.join_to_parent,          "Join To Parent..."},
    { LocaleBundle.launch_customizer,       "Launch Customizer..."},
    { LocaleBundle.load,                    "Load"},
    { LocaleBundle.load3,                   "Load..."},
    { LocaleBundle.loading,                 "Loading..."},
    { LocaleBundle.loading_property_editor_or_customizer,"Loading Property Editor/Customizer..."},
    { LocaleBundle.login,                   "Login"},
    { LocaleBundle.login_name,              "Login Name"},
    { LocaleBundle.model_name,              "Model Name"},
    { LocaleBundle.modify,                  "Modify"},
    { LocaleBundle.name,                     "Name"},
    { LocaleBundle.no_foreign_keys,      "No foreign keys could be found in the parent table. This may be a JDBC driver problem." +
        "You should add the join manually by selecting the desired columns and clicking the Add button."},
    { LocaleBundle.node,                    "Node"},
    { LocaleBundle.null_originator,         "The originator of the DataModelEvent can not be null."},
    { LocaleBundle.no_table_exists,         "No table exists"},
    { LocaleBundle.ok,                      "OK"},
    { LocaleBundle.open3,                   "Open..."},
    { LocaleBundle.operation,               "Operation"},
    { LocaleBundle.parent,                  "Parent"},
    { LocaleBundle.parent_column_name,      "Parent Column Name"},
    { LocaleBundle.parent_does_not_exist,   "Parent does not exist"},
    { LocaleBundle.parent_driver_table_is_missing,  "Parent driver table is missing"},
    { LocaleBundle.parent_query,            "<PARENT QUERY>"},
    { LocaleBundle.password,                "Password"},
    { LocaleBundle.please_wait,             "Please wait..."},
    { LocaleBundle.powerj,                  "Powersoft PowerJ"},
    { LocaleBundle.primary,                 "Primary"},
    { LocaleBundle.primary_key,             "Primary Key"},
    { LocaleBundle.primary_key_of_driver_table_must_be_entered, "Primary key of driver table must be entered."},
    { LocaleBundle.prompt_user_for_login,   "Prompt User For Login"},
    { LocaleBundle.query_navigator_name,    "Query Navigator Name"},
    { LocaleBundle.ready,                   "Ready"},
    { LocaleBundle.refresh,                 "Refresh"},
    { LocaleBundle.rename,                  "Rename"},
    { LocaleBundle.reset,                   "Reset"},
    { LocaleBundle.restore,                 "Restore"},
    { LocaleBundle.resource_name,           "Resource Name"},
    { LocaleBundle.root,                    "Root"},
    { LocaleBundle.record_of_total,         "{0,number,integer} of {1,number,integer}"},
    { LocaleBundle.save,                    "Save"},
    { LocaleBundle.save_as,                 "Save As..."},
    { LocaleBundle.saving,                  "Saving..."},
    { LocaleBundle.server,                  "Server"},
    { LocaleBundle.set,                     "Set"},
    { LocaleBundle.set_or_modify,           "Set/Modify"},
    { LocaleBundle.select_a_data_source,    "Select a Data Source..."},
    { LocaleBundle.serialization,           "Serialization"},
    { LocaleBundle.serialization_files,     "Serialization Files"},
    { LocaleBundle.serialization_extension,	".ser"},
    { LocaleBundle.server_name,             "Server Name"},
    { LocaleBundle.show_deleted_rows,       "Show Deleted Rows"},
    { LocaleBundle.show_tips_at_start,      "Show Tips At Start"},
    { LocaleBundle.sql_statement,           "SQL Statement"},
    { LocaleBundle.table,                   "Table"},
    { LocaleBundle.table_access,            "Table Access"},
    { LocaleBundle.table_and_column_relations_must_be_set_manually, "Table and column relations must be set manually.  see com.klg.jclass.datasource.jdbc.MetaData"},
    { LocaleBundle.table_chooser,           "Table Chooser"},
    { LocaleBundle.tcpip_port,              "TCP/IP Port"},
    { LocaleBundle.tips_on_data_bean_customizer,
        "After setting NodeProperties properties for the first time, \nsave the information to a serialization file using the \"Save As ...\" button \non the \"Serialization\" page of the  Property Editor/Customizer.  This file's \nextension must be \".ser\" and it can be packaged in a jar file \nthat is accessible via the CLASSPATH environment variable.  \n  \nThe serialization file must reside in the same path of the class that uses \nthe JCData. For example, if your CLASSPATH is set to c:\\temp and \nan applet is located at c:\\temp\\jclass\\datasource\\, \nthe serialization file must be in c:\\temp\\jclass\\datasource\\.  \n  \nThe serialization file is updated every time you change a value using \nthe NodeProperties Property Editor/Customizer."},
    { LocaleBundle.tips_on_tree_customizer,
        "After setting TreeProperties properties for the first time, \nsave the information to a serialization file using the \"Save As ...\" button \non the \"Serialization\" page of the  Property Editor/Customizer.  This file's \nextension must be \".ser\" and it can be packaged in a jar file \nthat is accessible via the CLASSPATH environment variable.  \n  \nThe serialization file must reside in the same path of the class that uses \nthe JCTreeData. For example, if your CLASSPATH is set to c:\\temp and \nan applet is located at c:\\temp\\jclass\\datasource\\, \nthe serialization file must be in c:\\temp\\jclass\\datasource\\.  \n  \nThe serialization file is updated every time you change a value using \nthe TreeProperties Property Editor/Customizer."},
    { LocaleBundle.title_tips_on_data_bean_customizer,  "Tips on NodeProperties Property Editor/Customizer"},
    { LocaleBundle.title_tips_on_tree_customizer,   "Tips on TreeProperties Property Editor/Customizer"},
    { LocaleBundle.tree_data_model,         "Tree Data Model"},
    { LocaleBundle.JCTreeData,          "JCTreeData"},
    { LocaleBundle.type_boolean,            "BOOLEAN"},
    { LocaleBundle.type_sql_date,           "SQL_DATE"},
    { LocaleBundle.type_double,             "DOUBLE"},
    { LocaleBundle.type_float,              "FLOAT"},
    { LocaleBundle.type_integer,            "INTEGER"},
    { LocaleBundle.type_string,             "STRING"},
    { LocaleBundle.type_big_decimal,        "BIG_DECIMAL"},
    { LocaleBundle.type_long,               "LONG"},
    { LocaleBundle.type_sql_time,           "SQL_TIME"},
    { LocaleBundle.type_sql_timestamp,      "SQL_TIMESTAMP"},
    { LocaleBundle.type_object,             "OBJECT"},
    { LocaleBundle.type_byte,               "BYTE"},
    { LocaleBundle.type_short,              "SHORT"},
    { LocaleBundle.type_byte_array,         "BYTE_ARRAY"},
    { LocaleBundle.type_util_date,          "UTIL_DATE"},
    { LocaleBundle.unbound,                 "Unbound"},
    { LocaleBundle.update_allowed,          "Update Allowed"},
    { LocaleBundle.update_not_allowed,      "Update Not Allowed"},
    { LocaleBundle.url,                     "URL"},
    { LocaleBundle.use_parent_connection,   "Use Parent Connection"},
    { LocaleBundle.use_system_tables,       "Use System Tables"},
    { LocaleBundle.virtual_columns,         "Virtual Columns"},
    { LocaleBundle.warning,                 "Warning"},
    { LocaleBundle.no_primary_key,          "Cannot determine primary key automatically. Use MetaData.setPrimaryKeys() to set the primary key for table: "},
    { LocaleBundle.meta_data_not_open,      "MetaData is not open.  Call MetaData.open() before calling: "},
    { LocaleBundle.parameter_count_mismatch,   "The number of join columns and the number of question mark place holders do not match: "},
    { LocaleBundle.column_not_found,           "Column not found: "},
    { LocaleBundle.current_bookmark_error,     "Error getting current bookmark. Are there any rows?"},
    { LocaleBundle.bookmark_not_found,     "Internal error: bookmark not found in cache: "},
    { LocaleBundle.requery_root_only,      "requeryLevel() can only be called on root"},
    { LocaleBundle.cannot_modify_deleted,  "Deleted rows cannot be modified."},
    { LocaleBundle.null_query_or_connection,"Connection or query is null"},
    { LocaleBundle.duplicate_column_found,     "Duplicate columns not allowed. Use aliasing. Column: "},
    { LocaleBundle.cursor_move_failed,     "Move failed, bookmark not found: "},
    { LocaleBundle.relative_move_failed,   "Relative move failed. Index out of bounds. "},
    { LocaleBundle.absolute_move_failed,   "Absolute move failed. Ordinal out of bounds. "},
    { LocaleBundle.requery_row_failed,     "Requery row failed. Query: "},
    { LocaleBundle.ds_update_not_allowed,     "Cell cannot be updated: permissions disallow it or its table name cannot be determined."},
    { LocaleBundle.cannot_update_virtual_column, "This is a derived column.  It cannot be modified."},
    { LocaleBundle.query_navigator_not_open, "QueryNavigator.setAutoStart(true) must be called before creating this MetaData."},
    { LocaleBundle.policy_mismatch,         "setShowDeletedRows cannot be false if commit policy is COMMIT_LEAVING_RECORD"},
    { LocaleBundle.data_changed,            "The data has been changed in the data source by another user. Please requery then make your changes"},
    { LocaleBundle.root_already_set,        "The root level MetaData has already been set.  This root-level convenience constructor should only be called when the root does not already exist. "},
    { LocaleBundle.statement_not_set,       "You must set the query statement before using/opening this MetaData object. "},
    { LocaleBundle.policy_not_supported,    "Only COMMIT_LEAVING_RECORD is currently supported in ide environments"},
    { LocaleBundle.cannot_requery_row_for_table,    "Cannot requery row for table. Is case correct? Table: "},
    { LocaleBundle.malformed_sql_on_insert,	"Attempt to insert failed. The sql statement is malformed: "},
    { LocaleBundle.cannot_requery_row_key_unknown,	"Cannot requery this row. The primary key for the table is unknown. Table: "},

//END OF MATERIAL TO LOCALIZE
};

public Object[][] getContents() {
    return strings;
}

}
