/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DSdbJLabelBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:13 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.swing;

import java.awt.Image;

import com.klg.jclass.beans.*;

/**
 * This class provides additional information about this
 * bean to the introspection process.
 */
public class DSdbJLabelBeanInfo extends ComponentBeanInfo {

public static final String DATA_BINDING_PROP = "dataBinding";
protected static final JCPropertyDescriptor properties[] = {
    new JCPropertyDescriptor(DATA_BINDING_PROP, "com.klg.jclass.datasource.customizer.ColumnDataBindingEditor"),
};

protected static final JCEventSetDescriptor events[] = {
};

protected static final String icons[] = {
    "resources/DSdbJLabel_1616.gif",
    "resources/DSdbJLabel_1616.gif",
    "resources/DSdbJLabel_3232.gif",
    "resources/DSdbJLabel_3232.gif",
};

public DSdbJLabelBeanInfo() {
    super(properties, events, ":com.klg.jclass.datasource.resources.LocaleInfo", icons);
}

}
