/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DSdbJNavigatorBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:13 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.swing;

import java.beans.BeanDescriptor;

import com.klg.jclass.beans.*;

/**
 * This class provides additional information about this
 * bean to the introspection process.
 */
public class DSdbJNavigatorBeanInfo extends JCBeanInfo {
/*
//FIXOBSOLETE
static final String[][] names = {
    { "about", "jclass.datasource.beans.AboutEditor"},
    { "buttonBackground", "", "Foreground colour"},
    { "buttonForeground", "", "Background colour"},
    { "commandVisible", "", "Determines whether the button is shown"},
    { "dataBinding", "jclass.datasource.beans.DataBindingEditor", "Specifies table data source"},
    { "deleteVisible", "", "Determines whether the button is shown"},
    { "firstVisible", "", "Determines whether the button is shown"},
    { "insertVisible", "", "Determines whether the button is shown"},
    { "font", "", "Default font"},
    { "lastVisible", "", "Determines whether the button is shown"},
    { "nextVisible", "", "Determines whether the button is shown"},
    { "previousVisible", "", "Determines whether the button is shown"},
    { "statusBackground", "", "Foreground colour"},
    { "statusForeground", "", "Background colour"},
    { "statusVisible", "", "Determines whether the region is shown"},
};
*/
public static final String ABOUT = "about";
public static final String BUTTON_BACKGROUND = "buttonBackground";
public static final String BUTTON_FOREGROUND = "buttonForeground";
public static final String COMMAND_VISIBLE = "commandVisible";
public static final String DATA_BINDING = "dataBinding";
public static final String DELETE_VISIBLE = "deleteVisible";
public static final String FIRST_VISIBLE = "firstVisible";
public static final String INSERT_VISIBLE = "insertVisible";
public static final String FONT = "font";
public static final String LAST_VISIBLE = "lastVisible";
public static final String NEXT_VISIBLE = "nextVisible";
public static final String PREVIOUS_VISIBLE = "previousVisible";
public static final String STATUS_BACKGROUND = "statusBackground";
public static final String STATUS_FOREGROUND = "statusForeground";
public static final String STATUS_VISIBLE = "statusVisible";

protected static final JCPropertyDescriptor properties[] = {
    new JCPropertyDescriptor(ABOUT, "jclass.datasource.customizer.AboutEditor"),
    new JCPropertyDescriptor(BUTTON_BACKGROUND, ""),
    new JCPropertyDescriptor(BUTTON_FOREGROUND, ""),
    new JCPropertyDescriptor(COMMAND_VISIBLE, ""),
    new JCPropertyDescriptor(DATA_BINDING, "com.klg.jclass.datasource.customizer.DataBindingEditor"),
    new JCPropertyDescriptor(DELETE_VISIBLE, ""),
    new JCPropertyDescriptor(FIRST_VISIBLE, ""),
    new JCPropertyDescriptor(INSERT_VISIBLE, ""),
    new JCPropertyDescriptor(FONT, ""),
    new JCPropertyDescriptor(LAST_VISIBLE, ""),
    new JCPropertyDescriptor(NEXT_VISIBLE, ""),
    new JCPropertyDescriptor(PREVIOUS_VISIBLE, ""),
    new JCPropertyDescriptor(STATUS_BACKGROUND, ""),
    new JCPropertyDescriptor(STATUS_FOREGROUND, ""),
    new JCPropertyDescriptor(STATUS_VISIBLE, ""),
};

protected static final JCEventSetDescriptor events[] = {
};

protected static final String icons[] = {
    "resources/DSdbJNavigator_1616.gif",
    "resources/DSdbJNavigator_1616.gif",
    "resources/DSdbJNavigator_3232.gif",
    "resources/DSdbJNavigator_3232.gif",
};

public DSdbJNavigatorBeanInfo() {
    super(properties, events, ":com.klg.jclass.datasource.resources.LocaleInfo", icons);
}

}
