/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCHiGridBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:21 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid.beans;

import java.beans.BeanDescriptor;

import com.klg.jclass.beans.*;

import com.klg.jclass.higrid.*;
import com.klg.jclass.datasource.*;
import com.klg.jclass.datasource.beans.*;

/**
 * The<code>BeanInfo</code> class for <code>JCHiGrid</code>. This class is provided for
 * information only and is not intended for public use.
 */
// Properties Unique to JCHiGrid
public class JCHiGridBeanInfo extends JCHiGridBaseBeanInfo {

public static final String GRID_PROPERTIES_PROP = "gridProperties";

protected static final JCPropertyDescriptor properties[] = {
    new JCPropertyDescriptor(GRID_PROPERTIES_PROP,
                             "com.klg.jclass.higrid.customizer.GridPropertiesEditor"),
//	new JCPropertyDescriptor(MODEL_NAME_PROP, MODEL_NAME_PROP, MODEL_NAME_PROP,
//	                         false, HIDDEN, null),
};

/* Constructor */
/*
public JCHiGridBeanInfo() {
super("com.klg.jclass.higrid.beans.JCHiGrid", names);
// must not use super bean info.  Otherwise,
// no choice list property editors show up in JBuilder 2.0
useSuperBeanInfo = false;
omit_props = omit_properties;
}
*/

protected static final String icons[] = {
    "resources/JCHiGrid_1616.gif",
    "resources/JCHiGrid_1616.gif",
    "resources/JCHiGrid_3232.gif",
    "resources/JCHiGrid_3232.gif",
};

protected static final JCEventSetDescriptor events[] = {
//	new JCEventSetDescriptor(DATA_MODEL_EVENT, "com.klg.jclass.datasource",
//	                         new String[] { "dataModelChanged", "dataModelCreated"}),
};

public JCHiGridBeanInfo() {
    super(properties, events, ":com.klg.jclass.higrid.resources.LocaleInfo", icons);
}

}
