/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ExternalGridPropertiesEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:21 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid.customizer;

import javax.swing.JFrame;

import com.klg.jclass.higrid.beans.ExternalGridProperties; 

/**
 * ExternalGridPropertiesEditor
 */
public class ExternalGridPropertiesEditor extends GridPropertiesEditor {

public ExternalGridPropertiesEditor() {
    super(true);
}

public static void main(String args[]) {
    JFrame f = new JFrame("ExternalGridPropertiesEditor");
    java.beans.Beans.setDesignTime(true);
    ExternalGridPropertiesEditor editor = new ExternalGridPropertiesEditor();
    editor.setValue(new ExternalGridProperties());
    f.getContentPane().setLayout(new java.awt.BorderLayout());
    f.getContentPane().add(editor, java.awt.BorderLayout.CENTER);
    f.pack();
    f.show();
    // Handle window close requests
    f.addWindowListener(new java.awt.event.WindowAdapter() {
                            public void windowClosing(java.awt.event.WindowEvent e) {
                                System.exit(0);
                            }
                        });
}

}

