/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCPopupCalendarBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:28 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.swing;

import com.klg.jclass.beans.ComponentBeanInfo;
import com.klg.jclass.beans.JCPropertyDescriptor;
import com.klg.jclass.beans.JCEventSetDescriptor;

/**
 * Internal use. Additional Bean info and events.
 */
public class JCPopupCalendarBeanInfo extends ComponentBeanInfo {

public static final String ACTION = "action";
public static final String CALENDAR_TYPE = "calendarType";
public static final String EDITABLE = "editable";
public static final String HIDE_POPUP_ON_DAY_TABLE_CLICK = "hidePopupOnDayTableClick";
public static final String MAXIMUM_DATE = "maximumDate";
public static final String MINIMUM_DATE = "minimumDate";
public static final String SHOW_APPLY_BUTTON = "showApplyButton";
public static final String SHOW_POPUP_ON_UP_DOWN_ARROW = "showPopupOnUpDownArrow";
public static final String VALUE = "value";

protected static final JCPropertyDescriptor properties[] = {
    new JCPropertyDescriptor(CALENDAR_TYPE,
                             "com.klg.jclass.swing.beans.PopupCalendarTypeEditor"),
    new JCPropertyDescriptor(EDITABLE, EDITABLE, EDITABLE, true,
                             JCPropertyDescriptor.NORMAL, null),
    new JCPropertyDescriptor(HIDE_POPUP_ON_DAY_TABLE_CLICK, null),
    new JCPropertyDescriptor(MAXIMUM_DATE, "com.klg.jclass.util.swing.beans.DateTimeBeanEditor"),
    new JCPropertyDescriptor(MINIMUM_DATE, "com.klg.jclass.util.swing.beans.DateTimeBeanEditor"),
    new JCPropertyDescriptor(SHOW_APPLY_BUTTON, null),
    new JCPropertyDescriptor(SHOW_POPUP_ON_UP_DOWN_ARROW, null),
    new JCPropertyDescriptor(VALUE, "com.klg.jclass.util.swing.beans.DateTimeBeanEditor"),
};

protected static final JCEventSetDescriptor events[] = {
    new JCEventSetDescriptor(ACTION, "java.awt.event",
                             new String[]{"actionPerformed"}),
};

protected static final String icons[] = {
    "icons/JCPopupCalendarIcon16.gif",
    "icons/JCPopupCalendarIcon16.gif",
    "icons/JCPopupCalendarIcon32.gif",
    "icons/JCPopupCalendarIcon32.gif"
};

public JCPopupCalendarBeanInfo()
{
    super(properties, events, "resources.LocaleInfo", icons);
}

}
