/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleBundle.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:31 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.swing.resources;

import java.util.Locale;
import java.util.ResourceBundle;

public class LocaleBundle {

private static final String BUNDLE_PATH =
    "com.klg.jclass.swing.resources.LocaleInfo";

private static ResourceBundle bundle =
    ResourceBundle.getBundle(BUNDLE_PATH, Locale.getDefault());

synchronized static String string(String language, String country, String key)
{
    return(ResourceBundle.getBundle(BUNDLE_PATH,
                                    new Locale(language,
                                               country)).getString(key));
}

synchronized public static String string(String key)
{
    return(bundle.getString(key));
}

synchronized static void setBundleLocale(Locale loc)
{
    bundle = ResourceBundle.getBundle(BUNDLE_PATH, loc);
}

public static final String WIZARD_PAGE_FORMAT_ERROR = "JCWizardPages Do " +
        "Not Support a Progress List";

}




