/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: TableDataModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:34 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table;

import com.klg.jclass.util.JCTableDataModel;

/**
 * The <CODE>TableDataModel</CODE> interface defines a data source for
 * the JCTable
 *
 * @see JCTableDataModel
 * @see JCTable#setDataSource
 */
public interface TableDataModel extends JCTableDataModel {

/**
 * Adds a <CODE>JCTableDataListener</CODE> to this object.
 *
 * @see JCTableDataListener
 * @see JCTableDataEvent
 */
public void addTableDataListener(JCTableDataListener l);

/**
 * Removes a <CODE>JCTableDataListener</CODE> from this object
 *
 * @see JCTableDataListener
 * @see JCTableDataEvent
 */
public void removeTableDataListener(JCTableDataListener l);

}
