/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: AutoScrollEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:34 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.beans;

import com.klg.jclass.beans.EnumEditor;
import com.klg.jclass.table.JCTableEnum;

/**
 * Custom property editor for AutoScroll property.
 * Allows auto scroll mode to be selected from a list.
 */
public class AutoScrollEditor extends EnumEditor {

static final String[] strings = {
	"AUTO_SCROLL_NONE",
	"AUTO_SCROLL_ROW",
	"AUTO_SCROLL_COLUMN",
	"AUTO_SCROLL_BOTH"
};

static final int[] values = {
	JCTableEnum.AUTO_SCROLL_NONE,
	JCTableEnum.AUTO_SCROLL_ROW,
	JCTableEnum.AUTO_SCROLL_COLUMN,
	JCTableEnum.AUTO_SCROLL_BOTH
};

public AutoScrollEditor() {
	super(strings, values, "com.klg.jclass.table.JCTableEnum.");
}

}

