/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: FocusIndicatorEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:35 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.beans;

import com.klg.jclass.beans.EnumEditor;
import com.klg.jclass.table.JCTableEnum;

/**
 * Custom property editor for FocusIndicator property.
 * Allows selection of FocusIndicator style from a list.
 */
public class FocusIndicatorEditor extends EnumEditor {

static final String[] strings = {
	"FOCUS_NONE",
	"FOCUS_HIGHLIGHT",
	"FOCUS_RECTANGLE",
	"FOCUS_DASHED_RECTANGLE",
};

static final int[] values = {
	JCTableEnum.FOCUS_NONE,
	JCTableEnum.FOCUS_HIGHLIGHT,
	JCTableEnum.FOCUS_RECTANGLE,
	JCTableEnum.FOCUS_DASHED_RECTANGLE,
};

public FocusIndicatorEditor() {
	super(strings, values, "com.klg.jclass.table.JCTableEnum.");
}

}

