/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: SelectionPolicyEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:35 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.beans;

import com.klg.jclass.beans.EnumEditor;
import com.klg.jclass.table.JCTableEnum;

/**
 * Custom property editor for SelectionPolicy.
 * Allows selection of SelectionPolicy mode from a list.
 */
public class SelectionPolicyEditor extends EnumEditor {

final static int[] values = { 
	JCTableEnum.SELECT_NONE,
    JCTableEnum.SELECT_SINGLE,
	JCTableEnum.SELECT_RANGE,
    JCTableEnum.SELECT_MULTIRANGE
};

final static String[] strings = {
	"SELECT_NONE",
    "SELECT_SINGLE",
    "SELECT_RANGE",
    "SELECT_MULTIRANGE"
};

public SelectionPolicyEditor() {
	super(strings, values, "com.klg.jclass.table.JCTableEnum.");
}

}

