/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: JCUtil.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:38 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.util;

import java.awt.Component;

/**
 * Utility methods for JClass.
 */
public class JCUtil {

/**
 * Gets a name for this component that can be printed. <code>Component.toString()</code>
 * prints this name along with a long list of parameters.  If you want the
 * short version, call this method.
 *
 * @param c the component whose printable String we want
 * @return the String representing the component
 */
public static String getComponentName(Component c)
{
	if (c == null) {
		return("null");
	}
	return(c.getClass().getName());
}

}
