/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCDateChooserBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:39 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.util.calendar;

import com.klg.jclass.beans.ComponentBeanInfo;
import com.klg.jclass.beans.JCEventSetDescriptor;
import com.klg.jclass.beans.JCPropertyDescriptor;

/**
 * Bean info for <code>JCDateChooser</code> Bean.
 */
public class JCDateChooserBeanInfo extends ComponentBeanInfo {

public static final String VALUE = "value";
public static final String MINIMUM_DATE = "minimumDate";
public static final String MAXIMUM_DATE = "maximumDate";
public static final String CHOOSER_TYPE = "chooserType";

public static final String ACTION = "Action";

protected static final JCPropertyDescriptor properties[] = {
	new JCPropertyDescriptor(VALUE,"com.klg.jclass.util.swing.beans.DateChooserEditor"),
	new JCPropertyDescriptor(MINIMUM_DATE,"com.klg.jclass.util.swing.beans.DateChooserEditor"),
	new JCPropertyDescriptor(MAXIMUM_DATE,"com.klg.jclass.util.swing.beans.DateChooserEditor"),
	new JCPropertyDescriptor(CHOOSER_TYPE,"com.klg.jclass.util.calendar.ChooserTypeEditor"),
};

protected static final JCEventSetDescriptor events[] = {
	new JCEventSetDescriptor(ACTION, "java.awt.event", 
	                         new String[] { "actionPerformed"}),
};


protected static final String icons[] = {
    "/com/klg/jclass/util/swing/icons/JCDateChooserIcon16.gif",
    "/com/klg/jclass/util/swing/icons/JCDateChooserIcon16.gif",
    "/com/klg/jclass/util/swing/icons/JCDateChooserIcon32.gif",
    "/com/klg/jclass/util/swing/icons/JCDateChooserIcon32.gif"
};
    
public JCDateChooserBeanInfo()
{
	super(properties, events, "resources.LocaleInfo", icons);
}
    
}
