/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: QueryExpressionList.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:41 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.formulae;


import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;




/**
 * A QueryExpressionList is a List view of a set of Expressions stored
 * in a ResultSet (result of a database/datasource query)
 */
public class QueryExpressionList extends ExpressionList {

/** The result set in which the data is stored */
// protected DataModel	queryData;

/**
 * Create a query expression from a query result set and ???
 */
public QueryExpressionList() {
}

/**
 * Return an Expression which is a clone of this List
 * (NOTE:  any parametrized values in indices should be substituted
 *         with their current values)
 */
public Object clone() {

	Expression newList;

	try {
		newList = (Expression) super.clone();
	}
	catch (CloneNotSupportedException e) {
		newList = null;
	}

	return((Object) newList);
}


/**
 * Determine if the List contain the specified element
 * @param obj The element to be searched for in this List
 * @return True if the List contains the given object
 */
public boolean contains(Object obj) {
	// ???
	return(false);
}

/**
 * Compare the given object and this List, given that equality implies
 * the Lists contain the same entries in the same order.
 * @param obj the object whose equality with this List is tested
 * @return True if the given object satisfies "equality" with this List
 */
public boolean equals(Object obj) {
	// ???
	return(false);
}

/**
 * Retrieve the element at a given position in this List
 * @param index The desired element's position
 * @return The element found at the given position
 */
public Object get(int index) {
	// ???
	return(null);
}

/**
 * Return a hash code derived from this List
 * @return the hash code of this List
 */
public int hashCode() {
	// ???
	return(1);
}

/**
 * Find the position (first occurence) of a given object in the List.
 * -1 is returned if the element is not found in the List.
 * @param obj The object to be found in the List
 * @return The location of the object in the List (or -1)
 */
public int indexOf(Object obj) {
	// ???
	return(-1);
}

/**
 * Get an iterator over the elements in this List
 * @return an iterator object which enumerates the elements in this List
 */
public Iterator iterator() {
	// ???
	return(null);
}

/**
 * Find the position of the last occurence of a given object in the List.
 * -1 is returned if the element is not found in the List.
 * @param obj The object to be found in the List
 * @return The last location the object is found in the List (or -1)
 */
public int lastIndexOf(Object o) {
	// ???
	return(-1);
}

/**
 * Get a ListIterator over the elements of the List beginning at the
 * the given position in the list
 * @param index The position at which to initialise the ListIterator
 * @return A ListIterator over this List
 */
public ListIterator listIterator(int index) {
	// ???
	return(null);
}

/**
 * Return the number of elements in this List
 * @return the cardinality of this List
 */
public int size() {
	// ???
	return(-1);
}

/**
 * Get a List which is a subsequence of this List (the ordering is the same)
 * @param startIndex The first element of the sublist
 * @param endIndex The element after the last element of the sublist
 * @return A List which contains the elements of the specified subset
 */
public List subList(int startIndex, int endIndex) {
	// ???
	return(null);
}

/**
 * Fill a given array with a view of all the elements in this List
 * NOTE:  The Iterator's ordering is used
 * @param inArray The array in which to store the elements
 * @return an Array of all the elements in this List
 */
public Object[] toArray(Object[] inArray) {
	// ???
	return(inArray);
}

}
