/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:43 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.legend.resources;

import com.klg.jclass.util.legend.JCLegendBundle;

import java.util.ListResourceBundle;

/**
 *  Default Resource LocaleInfo class for JCLegend.
 */
public class LocaleInfo extends ListResourceBundle {

static final Object[][] strings = {
// LOCALIZE THESE

{ JCLegendBundle.key1, "Northeast" },
{ JCLegendBundle.key2, "North" },
{ JCLegendBundle.key3, "Northwest" },
{ JCLegendBundle.key4, "East" },
{ JCLegendBundle.key5, "West" },
{ JCLegendBundle.key6, "Southeast" },
{ JCLegendBundle.key7, "South" },
{ JCLegendBundle.key8, "Southwest" },
{ JCLegendBundle.key9,  "Horizontal" },
{ JCLegendBundle.key10, "Vertical" },

//END OF MATERIAL TO LOCALIZE
};

public Object[][] getContents() {
	return strings;
}

}

