/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCProgressCancelledListener.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:43 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.progress;


/**
 * The listener interface which is used to detect a user-cancellation action in the
 * <code>JCProgressHelper</code>.
 */
public interface JCProgressCancelledListener extends java.util.EventListener {
	
	

/**
 * Invoked when the user cancels the progress in the <code>JCProgressHelper</code>.
 *
 * @param event <code>JCProgressCancelledEvent</code>
 * @see JCProgressCancelledEvent
 */
public void userCancelledProgress(JCProgressCancelledEvent event);
	
}
	
	
	
	
