/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCHelpPaneBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:45 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.util.swing;

import com.klg.jclass.beans.ComponentBeanInfo;
import com.klg.jclass.beans.JCPropertyDescriptor;

/**
 * This is the Bean info class for <code>JCHelpPane</code>.  It specifies the
 * properties and events.
 */
public class JCHelpPaneBeanInfo extends ComponentBeanInfo {

public static final String CONTENTS_PAGE = "contentsPage";
public static final String VIEW_PAGE = "viewPage";
public static final String TITLE_PAGE = "titlePage";
public static final String USE_TOOL_BAR = "useToolBar";

protected static final JCPropertyDescriptor properties[] = {
    new JCPropertyDescriptor(CONTENTS_PAGE,
                             "com.klg.jclass.util.swing.beans.URLEditor"),
    new JCPropertyDescriptor(VIEW_PAGE,
                             "com.klg.jclass.util.swing.beans.URLEditor"),
    new JCPropertyDescriptor(TITLE_PAGE,
                             "com.klg.jclass.util.swing.beans.URLEditor"),
    new JCPropertyDescriptor(USE_TOOL_BAR, USE_TOOL_BAR, USE_TOOL_BAR, true,
                             JCPropertyDescriptor.NORMAL, null),
};

protected static final String icons[] = {
    "icons/JCHelpPaneIcon16.gif",
    "icons/JCHelpPaneIcon16.gif",
    "icons/JCHelpPaneIcon32.gif",
    "icons/JCHelpPaneIcon32.gif",
};

public JCHelpPaneBeanInfo()
{
    super(properties, null, "resources.LocaleInfo", icons);
}

}
