/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCSpinBoxMutableModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:46 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.swing;

/**
 * Extension of the spin box model that defines models that are changable.
 */
public interface JCSpinBoxMutableModel extends JCSpinBoxModel {

/**
 * Adds an item to the end of the model.
 * @param obj
 */
public void addElement(Object obj);

/**
 * Adds an item to the end of the model.
 * @param obj
 */
public void removeElement(Object obj);

/**
 * Adds an item at a specific index.
 * @param obj
 * @param index
 */
public void insertElementAt(Object obj, int index);

/**
 * Removes an item at a specific index.
 * @param index
 */
public void removeElementAt(int index);

}
