/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: MessageWrapper.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:46 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.swing;

import java.awt.Component;

/**
 * Wrapper used by <code>jclass.util.swing.JCMessageHelper</code> to wrap
 * a message and a title string.<p>
 * This cannot be an inner class because it is used to pass information
 * from <code>MessageHelper</code> to other inner classes.
 */
public class MessageWrapper
{

public Component  parentComponent;
public String     title;
public String     message;
public boolean    beep;

public MessageWrapper(Component parentComponent, String title, String message,
                      boolean beep)
{
    this.parentComponent = parentComponent;
    this.message = message;
    this.title = title;
    this.beep = beep;
}

}

