/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:47 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.swing.beans.resources;

import com.klg.jclass.util.swing.beans.*;

import java.util.ListResourceBundle;

public class LocaleInfo extends ListResourceBundle {

protected Object[][] strings = {

	// Languages
	{"ar", "Armenian"},
	{"be", ""},
	{"bg", ""},
	{"ca", ""},
	{"cs", ""},
	{"da", ""},
	{"de", "German"},
	{"el", ""},
	{"en", "English"},
	{"es", "Spanish"},
	{"et", ""},
	{"fi", ""},
	{"fr", "French"},
	{"hr", ""},
	{"hu", ""},
	{"is", ""},
	{"it", ""},
	{"iw", ""},
	{"ja", ""},
	{"ko", ""},
	{"lt", ""},
	{"lv", ""},
	{"mk", ""},
	{"nl", "Nederlands"},
	{"no", ""},
	{"pl", ""},
	{"pt", ""},
	{"ro", ""},
	{"ru", ""},
	{"sh", ""},
	{"sk", ""},
	{"sl", ""},
	{"sq", ""},
	{"sr", ""},
	{"sv", ""},
	{"th", ""},
	{"tr", ""},
	{"uk", ""},
	{"zh", ""},
	// Countries
	{"AR", ""},
	{"AT", ""},
	{"AU", ""},
	{"BE", ""},
	{"BO", ""},
	{"BR", ""},
	{"CA", "Canada"},
	{"CH", ""},
	{"CL", ""},
	{"CO", ""},
	{"CR", ""},
	{"DE", "Germany"},
	{"DO", ""},
	{"EC", ""},
	{"ES", "Spain"},
	{"FI", ""},
	{"FR", ""},
	{"GB", ""},
	{"GT", ""},
	{"HN", ""},
	{"IE", ""},
	{"IT", ""},
	{"LU", "Luxenburg"},
	{"MX", "Mexico"},
	{"NI", "Nicaraga"},
	{"NL", "Nederlands"},
	{"NO", ""},
	{"NZ", ""},
	{"PA", ""},
	{"PE", ""},
	{"PR", ""},
	{"PT", ""},
	{"PY", ""},
	{"SV", ""},
	{"TW", ""},
	{"UY", ""},
	{"US", "United States of America"},
	{"VE", ""},
	{"ZA", ""},
	// Varients
	{"EURO", "Euro"},
	{"NY", ""},
    // AbstractListEditor
	{StyleControlsEditor.STYLECONTROLS_HELP, "Select the style controls that should appear in the font chooser pane."},
	{DateChooserEditor.DATECHOOSER_HELP, "Select a date."},
    {DateTimeBeanEditor.DATETIME_HELP, "Select a date and time."},
	{SpinBoxModelEditor.SPINBOXMODEL_HELP, "Add or Remove strings from the spinBox."},
    {ListModelEditor.LISTMODEL_HELP, "Add or Remove strings from the list."},
};

protected Object[][] getContents()
{
	return(strings);
}

}
