/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:47 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.swing.encode.resources;

import com.klg.jclass.util.JCLocaleManager;

import java.util.ListResourceBundle;
import java.awt.event.KeyEvent;

public class LocaleInfo extends ListResourceBundle {

public static final String NEEDS_PAGELAYOUT = "ENCODE_NEEDS_JCLASSPAGELAYOUT";
public static final String NEEDS_GIF_LICENSE = "ENCODE_NEEDS_GIFLICENSE";
public static final String ENCODER_DIALOG_TITLE = "ENCODE_DIALOG_TITLE";
public static final String LOAD_ERROR = "ENCODER_LOAD_ERROR"; 

static final Object[][] strings = {
//LOCALIZE THIS
	{ ENCODER_DIALOG_TITLE, "Encoding Error" },
	{ LOAD_ERROR, "Encoding failure - requested encoder missing from CLASSPATH" },
	{ NEEDS_PAGELAYOUT, "Encoding failure - requested encoder missing from "+
"CLASSPATH.\n\n"+
"In order to enable this encoding, you must obtain JClass PageLayout\n"+
"from Quest Software and place it in your CLASSPATH/ext directory.\n\n"+
	  "For details see http://java.quest.com/jclass/gif_licensing.shtml/"},
	{ NEEDS_GIF_LICENSE, "GIF encoding failure - encoder MISSING.\n\n"+
"In order to enable GIF encoding, you must obtain a license from\n"+ 
"Unisys and send a copy of this license to Quest Software.  Quest Software will \n"+
"send the enabling software for GIF encoding upon receipt of a valid \n"+
"proof of license.\n\n"+
"Use of this software for providing LZW capability\n "+
"for any purpose is not authorized unless user first enters into a license\n "+
"agreement with Unisys under U.S. Patent No. 4,558,302 and foreign \n"+
"counterparts.  For information concerning licensing, please contact: \n\n" +
"Unisys Corporation \n"+
"Welch Licensing Department - C1SW19 \n"+
"Township Line &Union Meeting Roads \n"+
"P.O. Box 500 \n"+
"Blue Bell, PA   USA \n"+
"19424" }
//END OF MATERIAL TO LOCALIZE
};

public Object[][] getContents() {
	return strings;
}

}
